---
title: Documentation
layout: docsportal
cid: docs-home
permalink: /docs/
---

# Service Catalog Documentation

This page is an index for the articles in here. We recommend you start by reading the 
[introduction](./concepts/index.md#introduction), and then move on to the 
[installation instructions](./install.md). After you install, see our
[walkthrough](./walkthrough.md) document to get started using Service Catalog.

Afterward, see the topics below.

## Topics for users:

- [Installation instructions](install.md)
- [Walkthrough](walkthrough.md)
- [Service Catalog CLI](cli.md)
- [The Service Catalog Resources In Depth](./resources.md)
- [Passing parameters to ServiceInstances and ServiceBindings](parameters.md)

## Topics for developers:

- [Code conventions](./code-standards.md)
- [Developer guide](./devguide.md)
- [Design](./design.md)
- [Notes on authentication](./auth.md)

## Topics for operators:

- [Using Namespaced Broker Resources](./namespaced-broker-resources.md)
- [Filtering Broker Catalogs](./catalog-restrictions.md)
- [Setting Defaults for Service Instances](./service-plan-defaults.md)

## Request for Comments

As Service Catalog is in beta, we are collecting use-cases and other 
fundamental documentation for our eventual [V1 GA release here](./v1).
