// +build !ignore_autogenerated

/*
Copyright 2018 The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by conversion-gen. DO NOT EDIT.

package v1beta1

import (
	unsafe "unsafe"

	servicecatalog "github.com/kubernetes-incubator/service-catalog/pkg/apis/servicecatalog"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(scheme *runtime.Scheme) error {
	return scheme.AddGeneratedConversionFuncs(
		Convert_v1beta1_AddKeyTransform_To_servicecatalog_AddKeyTransform,
		Convert_servicecatalog_AddKeyTransform_To_v1beta1_AddKeyTransform,
		Convert_v1beta1_AddKeysFromTransform_To_servicecatalog_AddKeysFromTransform,
		Convert_servicecatalog_AddKeysFromTransform_To_v1beta1_AddKeysFromTransform,
		Convert_v1beta1_BasicAuthConfig_To_servicecatalog_BasicAuthConfig,
		Convert_servicecatalog_BasicAuthConfig_To_v1beta1_BasicAuthConfig,
		Convert_v1beta1_BearerTokenAuthConfig_To_servicecatalog_BearerTokenAuthConfig,
		Convert_servicecatalog_BearerTokenAuthConfig_To_v1beta1_BearerTokenAuthConfig,
		Convert_v1beta1_CatalogRestrictions_To_servicecatalog_CatalogRestrictions,
		Convert_servicecatalog_CatalogRestrictions_To_v1beta1_CatalogRestrictions,
		Convert_v1beta1_ClusterBasicAuthConfig_To_servicecatalog_ClusterBasicAuthConfig,
		Convert_servicecatalog_ClusterBasicAuthConfig_To_v1beta1_ClusterBasicAuthConfig,
		Convert_v1beta1_ClusterBearerTokenAuthConfig_To_servicecatalog_ClusterBearerTokenAuthConfig,
		Convert_servicecatalog_ClusterBearerTokenAuthConfig_To_v1beta1_ClusterBearerTokenAuthConfig,
		Convert_v1beta1_ClusterObjectReference_To_servicecatalog_ClusterObjectReference,
		Convert_servicecatalog_ClusterObjectReference_To_v1beta1_ClusterObjectReference,
		Convert_v1beta1_ClusterServiceBroker_To_servicecatalog_ClusterServiceBroker,
		Convert_servicecatalog_ClusterServiceBroker_To_v1beta1_ClusterServiceBroker,
		Convert_v1beta1_ClusterServiceBrokerAuthInfo_To_servicecatalog_ClusterServiceBrokerAuthInfo,
		Convert_servicecatalog_ClusterServiceBrokerAuthInfo_To_v1beta1_ClusterServiceBrokerAuthInfo,
		Convert_v1beta1_ClusterServiceBrokerList_To_servicecatalog_ClusterServiceBrokerList,
		Convert_servicecatalog_ClusterServiceBrokerList_To_v1beta1_ClusterServiceBrokerList,
		Convert_v1beta1_ClusterServiceBrokerSpec_To_servicecatalog_ClusterServiceBrokerSpec,
		Convert_servicecatalog_ClusterServiceBrokerSpec_To_v1beta1_ClusterServiceBrokerSpec,
		Convert_v1beta1_ClusterServiceBrokerStatus_To_servicecatalog_ClusterServiceBrokerStatus,
		Convert_servicecatalog_ClusterServiceBrokerStatus_To_v1beta1_ClusterServiceBrokerStatus,
		Convert_v1beta1_ClusterServiceClass_To_servicecatalog_ClusterServiceClass,
		Convert_servicecatalog_ClusterServiceClass_To_v1beta1_ClusterServiceClass,
		Convert_v1beta1_ClusterServiceClassList_To_servicecatalog_ClusterServiceClassList,
		Convert_servicecatalog_ClusterServiceClassList_To_v1beta1_ClusterServiceClassList,
		Convert_v1beta1_ClusterServiceClassSpec_To_servicecatalog_ClusterServiceClassSpec,
		Convert_servicecatalog_ClusterServiceClassSpec_To_v1beta1_ClusterServiceClassSpec,
		Convert_v1beta1_ClusterServiceClassStatus_To_servicecatalog_ClusterServiceClassStatus,
		Convert_servicecatalog_ClusterServiceClassStatus_To_v1beta1_ClusterServiceClassStatus,
		Convert_v1beta1_ClusterServicePlan_To_servicecatalog_ClusterServicePlan,
		Convert_servicecatalog_ClusterServicePlan_To_v1beta1_ClusterServicePlan,
		Convert_v1beta1_ClusterServicePlanList_To_servicecatalog_ClusterServicePlanList,
		Convert_servicecatalog_ClusterServicePlanList_To_v1beta1_ClusterServicePlanList,
		Convert_v1beta1_ClusterServicePlanSpec_To_servicecatalog_ClusterServicePlanSpec,
		Convert_servicecatalog_ClusterServicePlanSpec_To_v1beta1_ClusterServicePlanSpec,
		Convert_v1beta1_ClusterServicePlanStatus_To_servicecatalog_ClusterServicePlanStatus,
		Convert_servicecatalog_ClusterServicePlanStatus_To_v1beta1_ClusterServicePlanStatus,
		Convert_v1beta1_CommonServiceBrokerSpec_To_servicecatalog_CommonServiceBrokerSpec,
		Convert_servicecatalog_CommonServiceBrokerSpec_To_v1beta1_CommonServiceBrokerSpec,
		Convert_v1beta1_CommonServiceBrokerStatus_To_servicecatalog_CommonServiceBrokerStatus,
		Convert_servicecatalog_CommonServiceBrokerStatus_To_v1beta1_CommonServiceBrokerStatus,
		Convert_v1beta1_CommonServiceClassSpec_To_servicecatalog_CommonServiceClassSpec,
		Convert_servicecatalog_CommonServiceClassSpec_To_v1beta1_CommonServiceClassSpec,
		Convert_v1beta1_CommonServiceClassStatus_To_servicecatalog_CommonServiceClassStatus,
		Convert_servicecatalog_CommonServiceClassStatus_To_v1beta1_CommonServiceClassStatus,
		Convert_v1beta1_CommonServicePlanSpec_To_servicecatalog_CommonServicePlanSpec,
		Convert_servicecatalog_CommonServicePlanSpec_To_v1beta1_CommonServicePlanSpec,
		Convert_v1beta1_CommonServicePlanStatus_To_servicecatalog_CommonServicePlanStatus,
		Convert_servicecatalog_CommonServicePlanStatus_To_v1beta1_CommonServicePlanStatus,
		Convert_v1beta1_LocalObjectReference_To_servicecatalog_LocalObjectReference,
		Convert_servicecatalog_LocalObjectReference_To_v1beta1_LocalObjectReference,
		Convert_v1beta1_ObjectReference_To_servicecatalog_ObjectReference,
		Convert_servicecatalog_ObjectReference_To_v1beta1_ObjectReference,
		Convert_v1beta1_ParametersFromSource_To_servicecatalog_ParametersFromSource,
		Convert_servicecatalog_ParametersFromSource_To_v1beta1_ParametersFromSource,
		Convert_v1beta1_PlanReference_To_servicecatalog_PlanReference,
		Convert_servicecatalog_PlanReference_To_v1beta1_PlanReference,
		Convert_v1beta1_RemoveKeyTransform_To_servicecatalog_RemoveKeyTransform,
		Convert_servicecatalog_RemoveKeyTransform_To_v1beta1_RemoveKeyTransform,
		Convert_v1beta1_RenameKeyTransform_To_servicecatalog_RenameKeyTransform,
		Convert_servicecatalog_RenameKeyTransform_To_v1beta1_RenameKeyTransform,
		Convert_v1beta1_SecretKeyReference_To_servicecatalog_SecretKeyReference,
		Convert_servicecatalog_SecretKeyReference_To_v1beta1_SecretKeyReference,
		Convert_v1beta1_SecretTransform_To_servicecatalog_SecretTransform,
		Convert_servicecatalog_SecretTransform_To_v1beta1_SecretTransform,
		Convert_v1beta1_ServiceBinding_To_servicecatalog_ServiceBinding,
		Convert_servicecatalog_ServiceBinding_To_v1beta1_ServiceBinding,
		Convert_v1beta1_ServiceBindingCondition_To_servicecatalog_ServiceBindingCondition,
		Convert_servicecatalog_ServiceBindingCondition_To_v1beta1_ServiceBindingCondition,
		Convert_v1beta1_ServiceBindingList_To_servicecatalog_ServiceBindingList,
		Convert_servicecatalog_ServiceBindingList_To_v1beta1_ServiceBindingList,
		Convert_v1beta1_ServiceBindingPropertiesState_To_servicecatalog_ServiceBindingPropertiesState,
		Convert_servicecatalog_ServiceBindingPropertiesState_To_v1beta1_ServiceBindingPropertiesState,
		Convert_v1beta1_ServiceBindingSpec_To_servicecatalog_ServiceBindingSpec,
		Convert_servicecatalog_ServiceBindingSpec_To_v1beta1_ServiceBindingSpec,
		Convert_v1beta1_ServiceBindingStatus_To_servicecatalog_ServiceBindingStatus,
		Convert_servicecatalog_ServiceBindingStatus_To_v1beta1_ServiceBindingStatus,
		Convert_v1beta1_ServiceBroker_To_servicecatalog_ServiceBroker,
		Convert_servicecatalog_ServiceBroker_To_v1beta1_ServiceBroker,
		Convert_v1beta1_ServiceBrokerAuthInfo_To_servicecatalog_ServiceBrokerAuthInfo,
		Convert_servicecatalog_ServiceBrokerAuthInfo_To_v1beta1_ServiceBrokerAuthInfo,
		Convert_v1beta1_ServiceBrokerCondition_To_servicecatalog_ServiceBrokerCondition,
		Convert_servicecatalog_ServiceBrokerCondition_To_v1beta1_ServiceBrokerCondition,
		Convert_v1beta1_ServiceBrokerList_To_servicecatalog_ServiceBrokerList,
		Convert_servicecatalog_ServiceBrokerList_To_v1beta1_ServiceBrokerList,
		Convert_v1beta1_ServiceBrokerSpec_To_servicecatalog_ServiceBrokerSpec,
		Convert_servicecatalog_ServiceBrokerSpec_To_v1beta1_ServiceBrokerSpec,
		Convert_v1beta1_ServiceBrokerStatus_To_servicecatalog_ServiceBrokerStatus,
		Convert_servicecatalog_ServiceBrokerStatus_To_v1beta1_ServiceBrokerStatus,
		Convert_v1beta1_ServiceClass_To_servicecatalog_ServiceClass,
		Convert_servicecatalog_ServiceClass_To_v1beta1_ServiceClass,
		Convert_v1beta1_ServiceClassList_To_servicecatalog_ServiceClassList,
		Convert_servicecatalog_ServiceClassList_To_v1beta1_ServiceClassList,
		Convert_v1beta1_ServiceClassSpec_To_servicecatalog_ServiceClassSpec,
		Convert_servicecatalog_ServiceClassSpec_To_v1beta1_ServiceClassSpec,
		Convert_v1beta1_ServiceClassStatus_To_servicecatalog_ServiceClassStatus,
		Convert_servicecatalog_ServiceClassStatus_To_v1beta1_ServiceClassStatus,
		Convert_v1beta1_ServiceInstance_To_servicecatalog_ServiceInstance,
		Convert_servicecatalog_ServiceInstance_To_v1beta1_ServiceInstance,
		Convert_v1beta1_ServiceInstanceCondition_To_servicecatalog_ServiceInstanceCondition,
		Convert_servicecatalog_ServiceInstanceCondition_To_v1beta1_ServiceInstanceCondition,
		Convert_v1beta1_ServiceInstanceList_To_servicecatalog_ServiceInstanceList,
		Convert_servicecatalog_ServiceInstanceList_To_v1beta1_ServiceInstanceList,
		Convert_v1beta1_ServiceInstancePropertiesState_To_servicecatalog_ServiceInstancePropertiesState,
		Convert_servicecatalog_ServiceInstancePropertiesState_To_v1beta1_ServiceInstancePropertiesState,
		Convert_v1beta1_ServiceInstanceSpec_To_servicecatalog_ServiceInstanceSpec,
		Convert_servicecatalog_ServiceInstanceSpec_To_v1beta1_ServiceInstanceSpec,
		Convert_v1beta1_ServiceInstanceStatus_To_servicecatalog_ServiceInstanceStatus,
		Convert_servicecatalog_ServiceInstanceStatus_To_v1beta1_ServiceInstanceStatus,
		Convert_v1beta1_ServicePlan_To_servicecatalog_ServicePlan,
		Convert_servicecatalog_ServicePlan_To_v1beta1_ServicePlan,
		Convert_v1beta1_ServicePlanList_To_servicecatalog_ServicePlanList,
		Convert_servicecatalog_ServicePlanList_To_v1beta1_ServicePlanList,
		Convert_v1beta1_ServicePlanSpec_To_servicecatalog_ServicePlanSpec,
		Convert_servicecatalog_ServicePlanSpec_To_v1beta1_ServicePlanSpec,
		Convert_v1beta1_ServicePlanStatus_To_servicecatalog_ServicePlanStatus,
		Convert_servicecatalog_ServicePlanStatus_To_v1beta1_ServicePlanStatus,
		Convert_v1beta1_UserInfo_To_servicecatalog_UserInfo,
		Convert_servicecatalog_UserInfo_To_v1beta1_UserInfo,
	)
}

func autoConvert_v1beta1_AddKeyTransform_To_servicecatalog_AddKeyTransform(in *AddKeyTransform, out *servicecatalog.AddKeyTransform, s conversion.Scope) error {
	out.Key = in.Key
	out.Value = *(*[]byte)(unsafe.Pointer(&in.Value))
	out.StringValue = (*string)(unsafe.Pointer(in.StringValue))
	out.JSONPathExpression = (*string)(unsafe.Pointer(in.JSONPathExpression))
	return nil
}

// Convert_v1beta1_AddKeyTransform_To_servicecatalog_AddKeyTransform is an autogenerated conversion function.
func Convert_v1beta1_AddKeyTransform_To_servicecatalog_AddKeyTransform(in *AddKeyTransform, out *servicecatalog.AddKeyTransform, s conversion.Scope) error {
	return autoConvert_v1beta1_AddKeyTransform_To_servicecatalog_AddKeyTransform(in, out, s)
}

func autoConvert_servicecatalog_AddKeyTransform_To_v1beta1_AddKeyTransform(in *servicecatalog.AddKeyTransform, out *AddKeyTransform, s conversion.Scope) error {
	out.Key = in.Key
	out.Value = *(*[]byte)(unsafe.Pointer(&in.Value))
	out.StringValue = (*string)(unsafe.Pointer(in.StringValue))
	out.JSONPathExpression = (*string)(unsafe.Pointer(in.JSONPathExpression))
	return nil
}

// Convert_servicecatalog_AddKeyTransform_To_v1beta1_AddKeyTransform is an autogenerated conversion function.
func Convert_servicecatalog_AddKeyTransform_To_v1beta1_AddKeyTransform(in *servicecatalog.AddKeyTransform, out *AddKeyTransform, s conversion.Scope) error {
	return autoConvert_servicecatalog_AddKeyTransform_To_v1beta1_AddKeyTransform(in, out, s)
}

func autoConvert_v1beta1_AddKeysFromTransform_To_servicecatalog_AddKeysFromTransform(in *AddKeysFromTransform, out *servicecatalog.AddKeysFromTransform, s conversion.Scope) error {
	out.SecretRef = (*servicecatalog.ObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_v1beta1_AddKeysFromTransform_To_servicecatalog_AddKeysFromTransform is an autogenerated conversion function.
func Convert_v1beta1_AddKeysFromTransform_To_servicecatalog_AddKeysFromTransform(in *AddKeysFromTransform, out *servicecatalog.AddKeysFromTransform, s conversion.Scope) error {
	return autoConvert_v1beta1_AddKeysFromTransform_To_servicecatalog_AddKeysFromTransform(in, out, s)
}

func autoConvert_servicecatalog_AddKeysFromTransform_To_v1beta1_AddKeysFromTransform(in *servicecatalog.AddKeysFromTransform, out *AddKeysFromTransform, s conversion.Scope) error {
	out.SecretRef = (*ObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_servicecatalog_AddKeysFromTransform_To_v1beta1_AddKeysFromTransform is an autogenerated conversion function.
func Convert_servicecatalog_AddKeysFromTransform_To_v1beta1_AddKeysFromTransform(in *servicecatalog.AddKeysFromTransform, out *AddKeysFromTransform, s conversion.Scope) error {
	return autoConvert_servicecatalog_AddKeysFromTransform_To_v1beta1_AddKeysFromTransform(in, out, s)
}

func autoConvert_v1beta1_BasicAuthConfig_To_servicecatalog_BasicAuthConfig(in *BasicAuthConfig, out *servicecatalog.BasicAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*servicecatalog.LocalObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_v1beta1_BasicAuthConfig_To_servicecatalog_BasicAuthConfig is an autogenerated conversion function.
func Convert_v1beta1_BasicAuthConfig_To_servicecatalog_BasicAuthConfig(in *BasicAuthConfig, out *servicecatalog.BasicAuthConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_BasicAuthConfig_To_servicecatalog_BasicAuthConfig(in, out, s)
}

func autoConvert_servicecatalog_BasicAuthConfig_To_v1beta1_BasicAuthConfig(in *servicecatalog.BasicAuthConfig, out *BasicAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*LocalObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_servicecatalog_BasicAuthConfig_To_v1beta1_BasicAuthConfig is an autogenerated conversion function.
func Convert_servicecatalog_BasicAuthConfig_To_v1beta1_BasicAuthConfig(in *servicecatalog.BasicAuthConfig, out *BasicAuthConfig, s conversion.Scope) error {
	return autoConvert_servicecatalog_BasicAuthConfig_To_v1beta1_BasicAuthConfig(in, out, s)
}

func autoConvert_v1beta1_BearerTokenAuthConfig_To_servicecatalog_BearerTokenAuthConfig(in *BearerTokenAuthConfig, out *servicecatalog.BearerTokenAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*servicecatalog.LocalObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_v1beta1_BearerTokenAuthConfig_To_servicecatalog_BearerTokenAuthConfig is an autogenerated conversion function.
func Convert_v1beta1_BearerTokenAuthConfig_To_servicecatalog_BearerTokenAuthConfig(in *BearerTokenAuthConfig, out *servicecatalog.BearerTokenAuthConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_BearerTokenAuthConfig_To_servicecatalog_BearerTokenAuthConfig(in, out, s)
}

func autoConvert_servicecatalog_BearerTokenAuthConfig_To_v1beta1_BearerTokenAuthConfig(in *servicecatalog.BearerTokenAuthConfig, out *BearerTokenAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*LocalObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_servicecatalog_BearerTokenAuthConfig_To_v1beta1_BearerTokenAuthConfig is an autogenerated conversion function.
func Convert_servicecatalog_BearerTokenAuthConfig_To_v1beta1_BearerTokenAuthConfig(in *servicecatalog.BearerTokenAuthConfig, out *BearerTokenAuthConfig, s conversion.Scope) error {
	return autoConvert_servicecatalog_BearerTokenAuthConfig_To_v1beta1_BearerTokenAuthConfig(in, out, s)
}

func autoConvert_v1beta1_CatalogRestrictions_To_servicecatalog_CatalogRestrictions(in *CatalogRestrictions, out *servicecatalog.CatalogRestrictions, s conversion.Scope) error {
	out.ServiceClass = *(*[]string)(unsafe.Pointer(&in.ServiceClass))
	out.ServicePlan = *(*[]string)(unsafe.Pointer(&in.ServicePlan))
	return nil
}

// Convert_v1beta1_CatalogRestrictions_To_servicecatalog_CatalogRestrictions is an autogenerated conversion function.
func Convert_v1beta1_CatalogRestrictions_To_servicecatalog_CatalogRestrictions(in *CatalogRestrictions, out *servicecatalog.CatalogRestrictions, s conversion.Scope) error {
	return autoConvert_v1beta1_CatalogRestrictions_To_servicecatalog_CatalogRestrictions(in, out, s)
}

func autoConvert_servicecatalog_CatalogRestrictions_To_v1beta1_CatalogRestrictions(in *servicecatalog.CatalogRestrictions, out *CatalogRestrictions, s conversion.Scope) error {
	out.ServiceClass = *(*[]string)(unsafe.Pointer(&in.ServiceClass))
	out.ServicePlan = *(*[]string)(unsafe.Pointer(&in.ServicePlan))
	return nil
}

// Convert_servicecatalog_CatalogRestrictions_To_v1beta1_CatalogRestrictions is an autogenerated conversion function.
func Convert_servicecatalog_CatalogRestrictions_To_v1beta1_CatalogRestrictions(in *servicecatalog.CatalogRestrictions, out *CatalogRestrictions, s conversion.Scope) error {
	return autoConvert_servicecatalog_CatalogRestrictions_To_v1beta1_CatalogRestrictions(in, out, s)
}

func autoConvert_v1beta1_ClusterBasicAuthConfig_To_servicecatalog_ClusterBasicAuthConfig(in *ClusterBasicAuthConfig, out *servicecatalog.ClusterBasicAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*servicecatalog.ObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_v1beta1_ClusterBasicAuthConfig_To_servicecatalog_ClusterBasicAuthConfig is an autogenerated conversion function.
func Convert_v1beta1_ClusterBasicAuthConfig_To_servicecatalog_ClusterBasicAuthConfig(in *ClusterBasicAuthConfig, out *servicecatalog.ClusterBasicAuthConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterBasicAuthConfig_To_servicecatalog_ClusterBasicAuthConfig(in, out, s)
}

func autoConvert_servicecatalog_ClusterBasicAuthConfig_To_v1beta1_ClusterBasicAuthConfig(in *servicecatalog.ClusterBasicAuthConfig, out *ClusterBasicAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*ObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_servicecatalog_ClusterBasicAuthConfig_To_v1beta1_ClusterBasicAuthConfig is an autogenerated conversion function.
func Convert_servicecatalog_ClusterBasicAuthConfig_To_v1beta1_ClusterBasicAuthConfig(in *servicecatalog.ClusterBasicAuthConfig, out *ClusterBasicAuthConfig, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterBasicAuthConfig_To_v1beta1_ClusterBasicAuthConfig(in, out, s)
}

func autoConvert_v1beta1_ClusterBearerTokenAuthConfig_To_servicecatalog_ClusterBearerTokenAuthConfig(in *ClusterBearerTokenAuthConfig, out *servicecatalog.ClusterBearerTokenAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*servicecatalog.ObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_v1beta1_ClusterBearerTokenAuthConfig_To_servicecatalog_ClusterBearerTokenAuthConfig is an autogenerated conversion function.
func Convert_v1beta1_ClusterBearerTokenAuthConfig_To_servicecatalog_ClusterBearerTokenAuthConfig(in *ClusterBearerTokenAuthConfig, out *servicecatalog.ClusterBearerTokenAuthConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterBearerTokenAuthConfig_To_servicecatalog_ClusterBearerTokenAuthConfig(in, out, s)
}

func autoConvert_servicecatalog_ClusterBearerTokenAuthConfig_To_v1beta1_ClusterBearerTokenAuthConfig(in *servicecatalog.ClusterBearerTokenAuthConfig, out *ClusterBearerTokenAuthConfig, s conversion.Scope) error {
	out.SecretRef = (*ObjectReference)(unsafe.Pointer(in.SecretRef))
	return nil
}

// Convert_servicecatalog_ClusterBearerTokenAuthConfig_To_v1beta1_ClusterBearerTokenAuthConfig is an autogenerated conversion function.
func Convert_servicecatalog_ClusterBearerTokenAuthConfig_To_v1beta1_ClusterBearerTokenAuthConfig(in *servicecatalog.ClusterBearerTokenAuthConfig, out *ClusterBearerTokenAuthConfig, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterBearerTokenAuthConfig_To_v1beta1_ClusterBearerTokenAuthConfig(in, out, s)
}

func autoConvert_v1beta1_ClusterObjectReference_To_servicecatalog_ClusterObjectReference(in *ClusterObjectReference, out *servicecatalog.ClusterObjectReference, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_v1beta1_ClusterObjectReference_To_servicecatalog_ClusterObjectReference is an autogenerated conversion function.
func Convert_v1beta1_ClusterObjectReference_To_servicecatalog_ClusterObjectReference(in *ClusterObjectReference, out *servicecatalog.ClusterObjectReference, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterObjectReference_To_servicecatalog_ClusterObjectReference(in, out, s)
}

func autoConvert_servicecatalog_ClusterObjectReference_To_v1beta1_ClusterObjectReference(in *servicecatalog.ClusterObjectReference, out *ClusterObjectReference, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_servicecatalog_ClusterObjectReference_To_v1beta1_ClusterObjectReference is an autogenerated conversion function.
func Convert_servicecatalog_ClusterObjectReference_To_v1beta1_ClusterObjectReference(in *servicecatalog.ClusterObjectReference, out *ClusterObjectReference, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterObjectReference_To_v1beta1_ClusterObjectReference(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceBroker_To_servicecatalog_ClusterServiceBroker(in *ClusterServiceBroker, out *servicecatalog.ClusterServiceBroker, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ClusterServiceBrokerSpec_To_servicecatalog_ClusterServiceBrokerSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ClusterServiceBrokerStatus_To_servicecatalog_ClusterServiceBrokerStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ClusterServiceBroker_To_servicecatalog_ClusterServiceBroker is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceBroker_To_servicecatalog_ClusterServiceBroker(in *ClusterServiceBroker, out *servicecatalog.ClusterServiceBroker, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceBroker_To_servicecatalog_ClusterServiceBroker(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceBroker_To_v1beta1_ClusterServiceBroker(in *servicecatalog.ClusterServiceBroker, out *ClusterServiceBroker, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ClusterServiceBrokerSpec_To_v1beta1_ClusterServiceBrokerSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ClusterServiceBrokerStatus_To_v1beta1_ClusterServiceBrokerStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ClusterServiceBroker_To_v1beta1_ClusterServiceBroker is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceBroker_To_v1beta1_ClusterServiceBroker(in *servicecatalog.ClusterServiceBroker, out *ClusterServiceBroker, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceBroker_To_v1beta1_ClusterServiceBroker(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceBrokerAuthInfo_To_servicecatalog_ClusterServiceBrokerAuthInfo(in *ClusterServiceBrokerAuthInfo, out *servicecatalog.ClusterServiceBrokerAuthInfo, s conversion.Scope) error {
	out.Basic = (*servicecatalog.ClusterBasicAuthConfig)(unsafe.Pointer(in.Basic))
	out.Bearer = (*servicecatalog.ClusterBearerTokenAuthConfig)(unsafe.Pointer(in.Bearer))
	return nil
}

// Convert_v1beta1_ClusterServiceBrokerAuthInfo_To_servicecatalog_ClusterServiceBrokerAuthInfo is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceBrokerAuthInfo_To_servicecatalog_ClusterServiceBrokerAuthInfo(in *ClusterServiceBrokerAuthInfo, out *servicecatalog.ClusterServiceBrokerAuthInfo, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceBrokerAuthInfo_To_servicecatalog_ClusterServiceBrokerAuthInfo(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceBrokerAuthInfo_To_v1beta1_ClusterServiceBrokerAuthInfo(in *servicecatalog.ClusterServiceBrokerAuthInfo, out *ClusterServiceBrokerAuthInfo, s conversion.Scope) error {
	out.Basic = (*ClusterBasicAuthConfig)(unsafe.Pointer(in.Basic))
	out.Bearer = (*ClusterBearerTokenAuthConfig)(unsafe.Pointer(in.Bearer))
	return nil
}

// Convert_servicecatalog_ClusterServiceBrokerAuthInfo_To_v1beta1_ClusterServiceBrokerAuthInfo is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceBrokerAuthInfo_To_v1beta1_ClusterServiceBrokerAuthInfo(in *servicecatalog.ClusterServiceBrokerAuthInfo, out *ClusterServiceBrokerAuthInfo, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceBrokerAuthInfo_To_v1beta1_ClusterServiceBrokerAuthInfo(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceBrokerList_To_servicecatalog_ClusterServiceBrokerList(in *ClusterServiceBrokerList, out *servicecatalog.ClusterServiceBrokerList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ClusterServiceBroker)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ClusterServiceBrokerList_To_servicecatalog_ClusterServiceBrokerList is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceBrokerList_To_servicecatalog_ClusterServiceBrokerList(in *ClusterServiceBrokerList, out *servicecatalog.ClusterServiceBrokerList, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceBrokerList_To_servicecatalog_ClusterServiceBrokerList(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceBrokerList_To_v1beta1_ClusterServiceBrokerList(in *servicecatalog.ClusterServiceBrokerList, out *ClusterServiceBrokerList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ClusterServiceBroker)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ClusterServiceBrokerList_To_v1beta1_ClusterServiceBrokerList is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceBrokerList_To_v1beta1_ClusterServiceBrokerList(in *servicecatalog.ClusterServiceBrokerList, out *ClusterServiceBrokerList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceBrokerList_To_v1beta1_ClusterServiceBrokerList(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceBrokerSpec_To_servicecatalog_ClusterServiceBrokerSpec(in *ClusterServiceBrokerSpec, out *servicecatalog.ClusterServiceBrokerSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceBrokerSpec_To_servicecatalog_CommonServiceBrokerSpec(&in.CommonServiceBrokerSpec, &out.CommonServiceBrokerSpec, s); err != nil {
		return err
	}
	out.AuthInfo = (*servicecatalog.ClusterServiceBrokerAuthInfo)(unsafe.Pointer(in.AuthInfo))
	return nil
}

// Convert_v1beta1_ClusterServiceBrokerSpec_To_servicecatalog_ClusterServiceBrokerSpec is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceBrokerSpec_To_servicecatalog_ClusterServiceBrokerSpec(in *ClusterServiceBrokerSpec, out *servicecatalog.ClusterServiceBrokerSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceBrokerSpec_To_servicecatalog_ClusterServiceBrokerSpec(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceBrokerSpec_To_v1beta1_ClusterServiceBrokerSpec(in *servicecatalog.ClusterServiceBrokerSpec, out *ClusterServiceBrokerSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceBrokerSpec_To_v1beta1_CommonServiceBrokerSpec(&in.CommonServiceBrokerSpec, &out.CommonServiceBrokerSpec, s); err != nil {
		return err
	}
	out.AuthInfo = (*ClusterServiceBrokerAuthInfo)(unsafe.Pointer(in.AuthInfo))
	return nil
}

// Convert_servicecatalog_ClusterServiceBrokerSpec_To_v1beta1_ClusterServiceBrokerSpec is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceBrokerSpec_To_v1beta1_ClusterServiceBrokerSpec(in *servicecatalog.ClusterServiceBrokerSpec, out *ClusterServiceBrokerSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceBrokerSpec_To_v1beta1_ClusterServiceBrokerSpec(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceBrokerStatus_To_servicecatalog_ClusterServiceBrokerStatus(in *ClusterServiceBrokerStatus, out *servicecatalog.ClusterServiceBrokerStatus, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceBrokerStatus_To_servicecatalog_CommonServiceBrokerStatus(&in.CommonServiceBrokerStatus, &out.CommonServiceBrokerStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ClusterServiceBrokerStatus_To_servicecatalog_ClusterServiceBrokerStatus is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceBrokerStatus_To_servicecatalog_ClusterServiceBrokerStatus(in *ClusterServiceBrokerStatus, out *servicecatalog.ClusterServiceBrokerStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceBrokerStatus_To_servicecatalog_ClusterServiceBrokerStatus(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceBrokerStatus_To_v1beta1_ClusterServiceBrokerStatus(in *servicecatalog.ClusterServiceBrokerStatus, out *ClusterServiceBrokerStatus, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceBrokerStatus_To_v1beta1_CommonServiceBrokerStatus(&in.CommonServiceBrokerStatus, &out.CommonServiceBrokerStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ClusterServiceBrokerStatus_To_v1beta1_ClusterServiceBrokerStatus is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceBrokerStatus_To_v1beta1_ClusterServiceBrokerStatus(in *servicecatalog.ClusterServiceBrokerStatus, out *ClusterServiceBrokerStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceBrokerStatus_To_v1beta1_ClusterServiceBrokerStatus(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceClass_To_servicecatalog_ClusterServiceClass(in *ClusterServiceClass, out *servicecatalog.ClusterServiceClass, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ClusterServiceClassSpec_To_servicecatalog_ClusterServiceClassSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ClusterServiceClassStatus_To_servicecatalog_ClusterServiceClassStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ClusterServiceClass_To_servicecatalog_ClusterServiceClass is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceClass_To_servicecatalog_ClusterServiceClass(in *ClusterServiceClass, out *servicecatalog.ClusterServiceClass, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceClass_To_servicecatalog_ClusterServiceClass(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceClass_To_v1beta1_ClusterServiceClass(in *servicecatalog.ClusterServiceClass, out *ClusterServiceClass, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ClusterServiceClassSpec_To_v1beta1_ClusterServiceClassSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ClusterServiceClassStatus_To_v1beta1_ClusterServiceClassStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ClusterServiceClass_To_v1beta1_ClusterServiceClass is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceClass_To_v1beta1_ClusterServiceClass(in *servicecatalog.ClusterServiceClass, out *ClusterServiceClass, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceClass_To_v1beta1_ClusterServiceClass(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceClassList_To_servicecatalog_ClusterServiceClassList(in *ClusterServiceClassList, out *servicecatalog.ClusterServiceClassList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ClusterServiceClass)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ClusterServiceClassList_To_servicecatalog_ClusterServiceClassList is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceClassList_To_servicecatalog_ClusterServiceClassList(in *ClusterServiceClassList, out *servicecatalog.ClusterServiceClassList, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceClassList_To_servicecatalog_ClusterServiceClassList(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceClassList_To_v1beta1_ClusterServiceClassList(in *servicecatalog.ClusterServiceClassList, out *ClusterServiceClassList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ClusterServiceClass)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ClusterServiceClassList_To_v1beta1_ClusterServiceClassList is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceClassList_To_v1beta1_ClusterServiceClassList(in *servicecatalog.ClusterServiceClassList, out *ClusterServiceClassList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceClassList_To_v1beta1_ClusterServiceClassList(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceClassSpec_To_servicecatalog_ClusterServiceClassSpec(in *ClusterServiceClassSpec, out *servicecatalog.ClusterServiceClassSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceClassSpec_To_servicecatalog_CommonServiceClassSpec(&in.CommonServiceClassSpec, &out.CommonServiceClassSpec, s); err != nil {
		return err
	}
	out.ClusterServiceBrokerName = in.ClusterServiceBrokerName
	return nil
}

// Convert_v1beta1_ClusterServiceClassSpec_To_servicecatalog_ClusterServiceClassSpec is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceClassSpec_To_servicecatalog_ClusterServiceClassSpec(in *ClusterServiceClassSpec, out *servicecatalog.ClusterServiceClassSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceClassSpec_To_servicecatalog_ClusterServiceClassSpec(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceClassSpec_To_v1beta1_ClusterServiceClassSpec(in *servicecatalog.ClusterServiceClassSpec, out *ClusterServiceClassSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceClassSpec_To_v1beta1_CommonServiceClassSpec(&in.CommonServiceClassSpec, &out.CommonServiceClassSpec, s); err != nil {
		return err
	}
	out.ClusterServiceBrokerName = in.ClusterServiceBrokerName
	return nil
}

// Convert_servicecatalog_ClusterServiceClassSpec_To_v1beta1_ClusterServiceClassSpec is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceClassSpec_To_v1beta1_ClusterServiceClassSpec(in *servicecatalog.ClusterServiceClassSpec, out *ClusterServiceClassSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceClassSpec_To_v1beta1_ClusterServiceClassSpec(in, out, s)
}

func autoConvert_v1beta1_ClusterServiceClassStatus_To_servicecatalog_ClusterServiceClassStatus(in *ClusterServiceClassStatus, out *servicecatalog.ClusterServiceClassStatus, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceClassStatus_To_servicecatalog_CommonServiceClassStatus(&in.CommonServiceClassStatus, &out.CommonServiceClassStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ClusterServiceClassStatus_To_servicecatalog_ClusterServiceClassStatus is an autogenerated conversion function.
func Convert_v1beta1_ClusterServiceClassStatus_To_servicecatalog_ClusterServiceClassStatus(in *ClusterServiceClassStatus, out *servicecatalog.ClusterServiceClassStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServiceClassStatus_To_servicecatalog_ClusterServiceClassStatus(in, out, s)
}

func autoConvert_servicecatalog_ClusterServiceClassStatus_To_v1beta1_ClusterServiceClassStatus(in *servicecatalog.ClusterServiceClassStatus, out *ClusterServiceClassStatus, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceClassStatus_To_v1beta1_CommonServiceClassStatus(&in.CommonServiceClassStatus, &out.CommonServiceClassStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ClusterServiceClassStatus_To_v1beta1_ClusterServiceClassStatus is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServiceClassStatus_To_v1beta1_ClusterServiceClassStatus(in *servicecatalog.ClusterServiceClassStatus, out *ClusterServiceClassStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServiceClassStatus_To_v1beta1_ClusterServiceClassStatus(in, out, s)
}

func autoConvert_v1beta1_ClusterServicePlan_To_servicecatalog_ClusterServicePlan(in *ClusterServicePlan, out *servicecatalog.ClusterServicePlan, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ClusterServicePlanSpec_To_servicecatalog_ClusterServicePlanSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ClusterServicePlanStatus_To_servicecatalog_ClusterServicePlanStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ClusterServicePlan_To_servicecatalog_ClusterServicePlan is an autogenerated conversion function.
func Convert_v1beta1_ClusterServicePlan_To_servicecatalog_ClusterServicePlan(in *ClusterServicePlan, out *servicecatalog.ClusterServicePlan, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServicePlan_To_servicecatalog_ClusterServicePlan(in, out, s)
}

func autoConvert_servicecatalog_ClusterServicePlan_To_v1beta1_ClusterServicePlan(in *servicecatalog.ClusterServicePlan, out *ClusterServicePlan, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ClusterServicePlanSpec_To_v1beta1_ClusterServicePlanSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ClusterServicePlanStatus_To_v1beta1_ClusterServicePlanStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ClusterServicePlan_To_v1beta1_ClusterServicePlan is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServicePlan_To_v1beta1_ClusterServicePlan(in *servicecatalog.ClusterServicePlan, out *ClusterServicePlan, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServicePlan_To_v1beta1_ClusterServicePlan(in, out, s)
}

func autoConvert_v1beta1_ClusterServicePlanList_To_servicecatalog_ClusterServicePlanList(in *ClusterServicePlanList, out *servicecatalog.ClusterServicePlanList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ClusterServicePlan)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ClusterServicePlanList_To_servicecatalog_ClusterServicePlanList is an autogenerated conversion function.
func Convert_v1beta1_ClusterServicePlanList_To_servicecatalog_ClusterServicePlanList(in *ClusterServicePlanList, out *servicecatalog.ClusterServicePlanList, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServicePlanList_To_servicecatalog_ClusterServicePlanList(in, out, s)
}

func autoConvert_servicecatalog_ClusterServicePlanList_To_v1beta1_ClusterServicePlanList(in *servicecatalog.ClusterServicePlanList, out *ClusterServicePlanList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ClusterServicePlan)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ClusterServicePlanList_To_v1beta1_ClusterServicePlanList is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServicePlanList_To_v1beta1_ClusterServicePlanList(in *servicecatalog.ClusterServicePlanList, out *ClusterServicePlanList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServicePlanList_To_v1beta1_ClusterServicePlanList(in, out, s)
}

func autoConvert_v1beta1_ClusterServicePlanSpec_To_servicecatalog_ClusterServicePlanSpec(in *ClusterServicePlanSpec, out *servicecatalog.ClusterServicePlanSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServicePlanSpec_To_servicecatalog_CommonServicePlanSpec(&in.CommonServicePlanSpec, &out.CommonServicePlanSpec, s); err != nil {
		return err
	}
	out.ClusterServiceBrokerName = in.ClusterServiceBrokerName
	if err := Convert_v1beta1_ClusterObjectReference_To_servicecatalog_ClusterObjectReference(&in.ClusterServiceClassRef, &out.ClusterServiceClassRef, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ClusterServicePlanSpec_To_servicecatalog_ClusterServicePlanSpec is an autogenerated conversion function.
func Convert_v1beta1_ClusterServicePlanSpec_To_servicecatalog_ClusterServicePlanSpec(in *ClusterServicePlanSpec, out *servicecatalog.ClusterServicePlanSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServicePlanSpec_To_servicecatalog_ClusterServicePlanSpec(in, out, s)
}

func autoConvert_servicecatalog_ClusterServicePlanSpec_To_v1beta1_ClusterServicePlanSpec(in *servicecatalog.ClusterServicePlanSpec, out *ClusterServicePlanSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServicePlanSpec_To_v1beta1_CommonServicePlanSpec(&in.CommonServicePlanSpec, &out.CommonServicePlanSpec, s); err != nil {
		return err
	}
	out.ClusterServiceBrokerName = in.ClusterServiceBrokerName
	if err := Convert_servicecatalog_ClusterObjectReference_To_v1beta1_ClusterObjectReference(&in.ClusterServiceClassRef, &out.ClusterServiceClassRef, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ClusterServicePlanSpec_To_v1beta1_ClusterServicePlanSpec is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServicePlanSpec_To_v1beta1_ClusterServicePlanSpec(in *servicecatalog.ClusterServicePlanSpec, out *ClusterServicePlanSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServicePlanSpec_To_v1beta1_ClusterServicePlanSpec(in, out, s)
}

func autoConvert_v1beta1_ClusterServicePlanStatus_To_servicecatalog_ClusterServicePlanStatus(in *ClusterServicePlanStatus, out *servicecatalog.ClusterServicePlanStatus, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServicePlanStatus_To_servicecatalog_CommonServicePlanStatus(&in.CommonServicePlanStatus, &out.CommonServicePlanStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ClusterServicePlanStatus_To_servicecatalog_ClusterServicePlanStatus is an autogenerated conversion function.
func Convert_v1beta1_ClusterServicePlanStatus_To_servicecatalog_ClusterServicePlanStatus(in *ClusterServicePlanStatus, out *servicecatalog.ClusterServicePlanStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterServicePlanStatus_To_servicecatalog_ClusterServicePlanStatus(in, out, s)
}

func autoConvert_servicecatalog_ClusterServicePlanStatus_To_v1beta1_ClusterServicePlanStatus(in *servicecatalog.ClusterServicePlanStatus, out *ClusterServicePlanStatus, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServicePlanStatus_To_v1beta1_CommonServicePlanStatus(&in.CommonServicePlanStatus, &out.CommonServicePlanStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ClusterServicePlanStatus_To_v1beta1_ClusterServicePlanStatus is an autogenerated conversion function.
func Convert_servicecatalog_ClusterServicePlanStatus_To_v1beta1_ClusterServicePlanStatus(in *servicecatalog.ClusterServicePlanStatus, out *ClusterServicePlanStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ClusterServicePlanStatus_To_v1beta1_ClusterServicePlanStatus(in, out, s)
}

func autoConvert_v1beta1_CommonServiceBrokerSpec_To_servicecatalog_CommonServiceBrokerSpec(in *CommonServiceBrokerSpec, out *servicecatalog.CommonServiceBrokerSpec, s conversion.Scope) error {
	out.URL = in.URL
	out.InsecureSkipTLSVerify = in.InsecureSkipTLSVerify
	out.CABundle = *(*[]byte)(unsafe.Pointer(&in.CABundle))
	out.RelistBehavior = servicecatalog.ServiceBrokerRelistBehavior(in.RelistBehavior)
	out.RelistDuration = (*v1.Duration)(unsafe.Pointer(in.RelistDuration))
	out.RelistRequests = in.RelistRequests
	out.CatalogRestrictions = (*servicecatalog.CatalogRestrictions)(unsafe.Pointer(in.CatalogRestrictions))
	return nil
}

// Convert_v1beta1_CommonServiceBrokerSpec_To_servicecatalog_CommonServiceBrokerSpec is an autogenerated conversion function.
func Convert_v1beta1_CommonServiceBrokerSpec_To_servicecatalog_CommonServiceBrokerSpec(in *CommonServiceBrokerSpec, out *servicecatalog.CommonServiceBrokerSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_CommonServiceBrokerSpec_To_servicecatalog_CommonServiceBrokerSpec(in, out, s)
}

func autoConvert_servicecatalog_CommonServiceBrokerSpec_To_v1beta1_CommonServiceBrokerSpec(in *servicecatalog.CommonServiceBrokerSpec, out *CommonServiceBrokerSpec, s conversion.Scope) error {
	out.URL = in.URL
	out.InsecureSkipTLSVerify = in.InsecureSkipTLSVerify
	out.CABundle = *(*[]byte)(unsafe.Pointer(&in.CABundle))
	out.RelistBehavior = ServiceBrokerRelistBehavior(in.RelistBehavior)
	out.RelistDuration = (*v1.Duration)(unsafe.Pointer(in.RelistDuration))
	out.RelistRequests = in.RelistRequests
	out.CatalogRestrictions = (*CatalogRestrictions)(unsafe.Pointer(in.CatalogRestrictions))
	return nil
}

// Convert_servicecatalog_CommonServiceBrokerSpec_To_v1beta1_CommonServiceBrokerSpec is an autogenerated conversion function.
func Convert_servicecatalog_CommonServiceBrokerSpec_To_v1beta1_CommonServiceBrokerSpec(in *servicecatalog.CommonServiceBrokerSpec, out *CommonServiceBrokerSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_CommonServiceBrokerSpec_To_v1beta1_CommonServiceBrokerSpec(in, out, s)
}

func autoConvert_v1beta1_CommonServiceBrokerStatus_To_servicecatalog_CommonServiceBrokerStatus(in *CommonServiceBrokerStatus, out *servicecatalog.CommonServiceBrokerStatus, s conversion.Scope) error {
	out.Conditions = *(*[]servicecatalog.ServiceBrokerCondition)(unsafe.Pointer(&in.Conditions))
	out.ReconciledGeneration = in.ReconciledGeneration
	out.OperationStartTime = (*v1.Time)(unsafe.Pointer(in.OperationStartTime))
	out.LastCatalogRetrievalTime = (*v1.Time)(unsafe.Pointer(in.LastCatalogRetrievalTime))
	return nil
}

// Convert_v1beta1_CommonServiceBrokerStatus_To_servicecatalog_CommonServiceBrokerStatus is an autogenerated conversion function.
func Convert_v1beta1_CommonServiceBrokerStatus_To_servicecatalog_CommonServiceBrokerStatus(in *CommonServiceBrokerStatus, out *servicecatalog.CommonServiceBrokerStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_CommonServiceBrokerStatus_To_servicecatalog_CommonServiceBrokerStatus(in, out, s)
}

func autoConvert_servicecatalog_CommonServiceBrokerStatus_To_v1beta1_CommonServiceBrokerStatus(in *servicecatalog.CommonServiceBrokerStatus, out *CommonServiceBrokerStatus, s conversion.Scope) error {
	out.Conditions = *(*[]ServiceBrokerCondition)(unsafe.Pointer(&in.Conditions))
	out.ReconciledGeneration = in.ReconciledGeneration
	out.OperationStartTime = (*v1.Time)(unsafe.Pointer(in.OperationStartTime))
	out.LastCatalogRetrievalTime = (*v1.Time)(unsafe.Pointer(in.LastCatalogRetrievalTime))
	return nil
}

// Convert_servicecatalog_CommonServiceBrokerStatus_To_v1beta1_CommonServiceBrokerStatus is an autogenerated conversion function.
func Convert_servicecatalog_CommonServiceBrokerStatus_To_v1beta1_CommonServiceBrokerStatus(in *servicecatalog.CommonServiceBrokerStatus, out *CommonServiceBrokerStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_CommonServiceBrokerStatus_To_v1beta1_CommonServiceBrokerStatus(in, out, s)
}

func autoConvert_v1beta1_CommonServiceClassSpec_To_servicecatalog_CommonServiceClassSpec(in *CommonServiceClassSpec, out *servicecatalog.CommonServiceClassSpec, s conversion.Scope) error {
	out.ExternalName = in.ExternalName
	out.ExternalID = in.ExternalID
	out.Description = in.Description
	out.Bindable = in.Bindable
	out.BindingRetrievable = in.BindingRetrievable
	out.PlanUpdatable = in.PlanUpdatable
	out.ExternalMetadata = (*runtime.RawExtension)(unsafe.Pointer(in.ExternalMetadata))
	out.Tags = *(*[]string)(unsafe.Pointer(&in.Tags))
	out.Requires = *(*[]string)(unsafe.Pointer(&in.Requires))
	return nil
}

// Convert_v1beta1_CommonServiceClassSpec_To_servicecatalog_CommonServiceClassSpec is an autogenerated conversion function.
func Convert_v1beta1_CommonServiceClassSpec_To_servicecatalog_CommonServiceClassSpec(in *CommonServiceClassSpec, out *servicecatalog.CommonServiceClassSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_CommonServiceClassSpec_To_servicecatalog_CommonServiceClassSpec(in, out, s)
}

func autoConvert_servicecatalog_CommonServiceClassSpec_To_v1beta1_CommonServiceClassSpec(in *servicecatalog.CommonServiceClassSpec, out *CommonServiceClassSpec, s conversion.Scope) error {
	out.ExternalName = in.ExternalName
	out.ExternalID = in.ExternalID
	out.Description = in.Description
	out.Bindable = in.Bindable
	out.BindingRetrievable = in.BindingRetrievable
	out.PlanUpdatable = in.PlanUpdatable
	out.ExternalMetadata = (*runtime.RawExtension)(unsafe.Pointer(in.ExternalMetadata))
	out.Tags = *(*[]string)(unsafe.Pointer(&in.Tags))
	out.Requires = *(*[]string)(unsafe.Pointer(&in.Requires))
	return nil
}

// Convert_servicecatalog_CommonServiceClassSpec_To_v1beta1_CommonServiceClassSpec is an autogenerated conversion function.
func Convert_servicecatalog_CommonServiceClassSpec_To_v1beta1_CommonServiceClassSpec(in *servicecatalog.CommonServiceClassSpec, out *CommonServiceClassSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_CommonServiceClassSpec_To_v1beta1_CommonServiceClassSpec(in, out, s)
}

func autoConvert_v1beta1_CommonServiceClassStatus_To_servicecatalog_CommonServiceClassStatus(in *CommonServiceClassStatus, out *servicecatalog.CommonServiceClassStatus, s conversion.Scope) error {
	out.RemovedFromBrokerCatalog = in.RemovedFromBrokerCatalog
	return nil
}

// Convert_v1beta1_CommonServiceClassStatus_To_servicecatalog_CommonServiceClassStatus is an autogenerated conversion function.
func Convert_v1beta1_CommonServiceClassStatus_To_servicecatalog_CommonServiceClassStatus(in *CommonServiceClassStatus, out *servicecatalog.CommonServiceClassStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_CommonServiceClassStatus_To_servicecatalog_CommonServiceClassStatus(in, out, s)
}

func autoConvert_servicecatalog_CommonServiceClassStatus_To_v1beta1_CommonServiceClassStatus(in *servicecatalog.CommonServiceClassStatus, out *CommonServiceClassStatus, s conversion.Scope) error {
	out.RemovedFromBrokerCatalog = in.RemovedFromBrokerCatalog
	return nil
}

// Convert_servicecatalog_CommonServiceClassStatus_To_v1beta1_CommonServiceClassStatus is an autogenerated conversion function.
func Convert_servicecatalog_CommonServiceClassStatus_To_v1beta1_CommonServiceClassStatus(in *servicecatalog.CommonServiceClassStatus, out *CommonServiceClassStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_CommonServiceClassStatus_To_v1beta1_CommonServiceClassStatus(in, out, s)
}

func autoConvert_v1beta1_CommonServicePlanSpec_To_servicecatalog_CommonServicePlanSpec(in *CommonServicePlanSpec, out *servicecatalog.CommonServicePlanSpec, s conversion.Scope) error {
	out.ExternalName = in.ExternalName
	out.ExternalID = in.ExternalID
	out.Description = in.Description
	out.Bindable = (*bool)(unsafe.Pointer(in.Bindable))
	out.Free = in.Free
	out.ExternalMetadata = (*runtime.RawExtension)(unsafe.Pointer(in.ExternalMetadata))
	out.ServiceInstanceCreateParameterSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceInstanceCreateParameterSchema))
	out.ServiceInstanceUpdateParameterSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceInstanceUpdateParameterSchema))
	out.ServiceBindingCreateParameterSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceBindingCreateParameterSchema))
	out.ServiceBindingCreateResponseSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceBindingCreateResponseSchema))
	out.DefaultProvisionParameters = (*runtime.RawExtension)(unsafe.Pointer(in.DefaultProvisionParameters))
	return nil
}

// Convert_v1beta1_CommonServicePlanSpec_To_servicecatalog_CommonServicePlanSpec is an autogenerated conversion function.
func Convert_v1beta1_CommonServicePlanSpec_To_servicecatalog_CommonServicePlanSpec(in *CommonServicePlanSpec, out *servicecatalog.CommonServicePlanSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_CommonServicePlanSpec_To_servicecatalog_CommonServicePlanSpec(in, out, s)
}

func autoConvert_servicecatalog_CommonServicePlanSpec_To_v1beta1_CommonServicePlanSpec(in *servicecatalog.CommonServicePlanSpec, out *CommonServicePlanSpec, s conversion.Scope) error {
	out.ExternalName = in.ExternalName
	out.ExternalID = in.ExternalID
	out.Description = in.Description
	out.Bindable = (*bool)(unsafe.Pointer(in.Bindable))
	out.Free = in.Free
	out.ExternalMetadata = (*runtime.RawExtension)(unsafe.Pointer(in.ExternalMetadata))
	out.ServiceInstanceCreateParameterSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceInstanceCreateParameterSchema))
	out.ServiceInstanceUpdateParameterSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceInstanceUpdateParameterSchema))
	out.ServiceBindingCreateParameterSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceBindingCreateParameterSchema))
	out.ServiceBindingCreateResponseSchema = (*runtime.RawExtension)(unsafe.Pointer(in.ServiceBindingCreateResponseSchema))
	out.DefaultProvisionParameters = (*runtime.RawExtension)(unsafe.Pointer(in.DefaultProvisionParameters))
	return nil
}

// Convert_servicecatalog_CommonServicePlanSpec_To_v1beta1_CommonServicePlanSpec is an autogenerated conversion function.
func Convert_servicecatalog_CommonServicePlanSpec_To_v1beta1_CommonServicePlanSpec(in *servicecatalog.CommonServicePlanSpec, out *CommonServicePlanSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_CommonServicePlanSpec_To_v1beta1_CommonServicePlanSpec(in, out, s)
}

func autoConvert_v1beta1_CommonServicePlanStatus_To_servicecatalog_CommonServicePlanStatus(in *CommonServicePlanStatus, out *servicecatalog.CommonServicePlanStatus, s conversion.Scope) error {
	out.RemovedFromBrokerCatalog = in.RemovedFromBrokerCatalog
	return nil
}

// Convert_v1beta1_CommonServicePlanStatus_To_servicecatalog_CommonServicePlanStatus is an autogenerated conversion function.
func Convert_v1beta1_CommonServicePlanStatus_To_servicecatalog_CommonServicePlanStatus(in *CommonServicePlanStatus, out *servicecatalog.CommonServicePlanStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_CommonServicePlanStatus_To_servicecatalog_CommonServicePlanStatus(in, out, s)
}

func autoConvert_servicecatalog_CommonServicePlanStatus_To_v1beta1_CommonServicePlanStatus(in *servicecatalog.CommonServicePlanStatus, out *CommonServicePlanStatus, s conversion.Scope) error {
	out.RemovedFromBrokerCatalog = in.RemovedFromBrokerCatalog
	return nil
}

// Convert_servicecatalog_CommonServicePlanStatus_To_v1beta1_CommonServicePlanStatus is an autogenerated conversion function.
func Convert_servicecatalog_CommonServicePlanStatus_To_v1beta1_CommonServicePlanStatus(in *servicecatalog.CommonServicePlanStatus, out *CommonServicePlanStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_CommonServicePlanStatus_To_v1beta1_CommonServicePlanStatus(in, out, s)
}

func autoConvert_v1beta1_LocalObjectReference_To_servicecatalog_LocalObjectReference(in *LocalObjectReference, out *servicecatalog.LocalObjectReference, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_v1beta1_LocalObjectReference_To_servicecatalog_LocalObjectReference is an autogenerated conversion function.
func Convert_v1beta1_LocalObjectReference_To_servicecatalog_LocalObjectReference(in *LocalObjectReference, out *servicecatalog.LocalObjectReference, s conversion.Scope) error {
	return autoConvert_v1beta1_LocalObjectReference_To_servicecatalog_LocalObjectReference(in, out, s)
}

func autoConvert_servicecatalog_LocalObjectReference_To_v1beta1_LocalObjectReference(in *servicecatalog.LocalObjectReference, out *LocalObjectReference, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_servicecatalog_LocalObjectReference_To_v1beta1_LocalObjectReference is an autogenerated conversion function.
func Convert_servicecatalog_LocalObjectReference_To_v1beta1_LocalObjectReference(in *servicecatalog.LocalObjectReference, out *LocalObjectReference, s conversion.Scope) error {
	return autoConvert_servicecatalog_LocalObjectReference_To_v1beta1_LocalObjectReference(in, out, s)
}

func autoConvert_v1beta1_ObjectReference_To_servicecatalog_ObjectReference(in *ObjectReference, out *servicecatalog.ObjectReference, s conversion.Scope) error {
	out.Namespace = in.Namespace
	out.Name = in.Name
	return nil
}

// Convert_v1beta1_ObjectReference_To_servicecatalog_ObjectReference is an autogenerated conversion function.
func Convert_v1beta1_ObjectReference_To_servicecatalog_ObjectReference(in *ObjectReference, out *servicecatalog.ObjectReference, s conversion.Scope) error {
	return autoConvert_v1beta1_ObjectReference_To_servicecatalog_ObjectReference(in, out, s)
}

func autoConvert_servicecatalog_ObjectReference_To_v1beta1_ObjectReference(in *servicecatalog.ObjectReference, out *ObjectReference, s conversion.Scope) error {
	out.Namespace = in.Namespace
	out.Name = in.Name
	return nil
}

// Convert_servicecatalog_ObjectReference_To_v1beta1_ObjectReference is an autogenerated conversion function.
func Convert_servicecatalog_ObjectReference_To_v1beta1_ObjectReference(in *servicecatalog.ObjectReference, out *ObjectReference, s conversion.Scope) error {
	return autoConvert_servicecatalog_ObjectReference_To_v1beta1_ObjectReference(in, out, s)
}

func autoConvert_v1beta1_ParametersFromSource_To_servicecatalog_ParametersFromSource(in *ParametersFromSource, out *servicecatalog.ParametersFromSource, s conversion.Scope) error {
	out.SecretKeyRef = (*servicecatalog.SecretKeyReference)(unsafe.Pointer(in.SecretKeyRef))
	return nil
}

// Convert_v1beta1_ParametersFromSource_To_servicecatalog_ParametersFromSource is an autogenerated conversion function.
func Convert_v1beta1_ParametersFromSource_To_servicecatalog_ParametersFromSource(in *ParametersFromSource, out *servicecatalog.ParametersFromSource, s conversion.Scope) error {
	return autoConvert_v1beta1_ParametersFromSource_To_servicecatalog_ParametersFromSource(in, out, s)
}

func autoConvert_servicecatalog_ParametersFromSource_To_v1beta1_ParametersFromSource(in *servicecatalog.ParametersFromSource, out *ParametersFromSource, s conversion.Scope) error {
	out.SecretKeyRef = (*SecretKeyReference)(unsafe.Pointer(in.SecretKeyRef))
	return nil
}

// Convert_servicecatalog_ParametersFromSource_To_v1beta1_ParametersFromSource is an autogenerated conversion function.
func Convert_servicecatalog_ParametersFromSource_To_v1beta1_ParametersFromSource(in *servicecatalog.ParametersFromSource, out *ParametersFromSource, s conversion.Scope) error {
	return autoConvert_servicecatalog_ParametersFromSource_To_v1beta1_ParametersFromSource(in, out, s)
}

func autoConvert_v1beta1_PlanReference_To_servicecatalog_PlanReference(in *PlanReference, out *servicecatalog.PlanReference, s conversion.Scope) error {
	out.ClusterServiceClassExternalName = in.ClusterServiceClassExternalName
	out.ClusterServicePlanExternalName = in.ClusterServicePlanExternalName
	out.ClusterServiceClassExternalID = in.ClusterServiceClassExternalID
	out.ClusterServicePlanExternalID = in.ClusterServicePlanExternalID
	out.ClusterServiceClassName = in.ClusterServiceClassName
	out.ClusterServicePlanName = in.ClusterServicePlanName
	out.ServiceClassExternalName = in.ServiceClassExternalName
	out.ServicePlanExternalName = in.ServicePlanExternalName
	out.ServiceClassExternalID = in.ServiceClassExternalID
	out.ServicePlanExternalID = in.ServicePlanExternalID
	out.ServiceClassName = in.ServiceClassName
	out.ServicePlanName = in.ServicePlanName
	return nil
}

// Convert_v1beta1_PlanReference_To_servicecatalog_PlanReference is an autogenerated conversion function.
func Convert_v1beta1_PlanReference_To_servicecatalog_PlanReference(in *PlanReference, out *servicecatalog.PlanReference, s conversion.Scope) error {
	return autoConvert_v1beta1_PlanReference_To_servicecatalog_PlanReference(in, out, s)
}

func autoConvert_servicecatalog_PlanReference_To_v1beta1_PlanReference(in *servicecatalog.PlanReference, out *PlanReference, s conversion.Scope) error {
	out.ClusterServiceClassExternalName = in.ClusterServiceClassExternalName
	out.ClusterServicePlanExternalName = in.ClusterServicePlanExternalName
	out.ClusterServiceClassExternalID = in.ClusterServiceClassExternalID
	out.ClusterServicePlanExternalID = in.ClusterServicePlanExternalID
	out.ClusterServiceClassName = in.ClusterServiceClassName
	out.ClusterServicePlanName = in.ClusterServicePlanName
	out.ServiceClassExternalName = in.ServiceClassExternalName
	out.ServicePlanExternalName = in.ServicePlanExternalName
	out.ServiceClassExternalID = in.ServiceClassExternalID
	out.ServicePlanExternalID = in.ServicePlanExternalID
	out.ServiceClassName = in.ServiceClassName
	out.ServicePlanName = in.ServicePlanName
	return nil
}

// Convert_servicecatalog_PlanReference_To_v1beta1_PlanReference is an autogenerated conversion function.
func Convert_servicecatalog_PlanReference_To_v1beta1_PlanReference(in *servicecatalog.PlanReference, out *PlanReference, s conversion.Scope) error {
	return autoConvert_servicecatalog_PlanReference_To_v1beta1_PlanReference(in, out, s)
}

func autoConvert_v1beta1_RemoveKeyTransform_To_servicecatalog_RemoveKeyTransform(in *RemoveKeyTransform, out *servicecatalog.RemoveKeyTransform, s conversion.Scope) error {
	out.Key = in.Key
	return nil
}

// Convert_v1beta1_RemoveKeyTransform_To_servicecatalog_RemoveKeyTransform is an autogenerated conversion function.
func Convert_v1beta1_RemoveKeyTransform_To_servicecatalog_RemoveKeyTransform(in *RemoveKeyTransform, out *servicecatalog.RemoveKeyTransform, s conversion.Scope) error {
	return autoConvert_v1beta1_RemoveKeyTransform_To_servicecatalog_RemoveKeyTransform(in, out, s)
}

func autoConvert_servicecatalog_RemoveKeyTransform_To_v1beta1_RemoveKeyTransform(in *servicecatalog.RemoveKeyTransform, out *RemoveKeyTransform, s conversion.Scope) error {
	out.Key = in.Key
	return nil
}

// Convert_servicecatalog_RemoveKeyTransform_To_v1beta1_RemoveKeyTransform is an autogenerated conversion function.
func Convert_servicecatalog_RemoveKeyTransform_To_v1beta1_RemoveKeyTransform(in *servicecatalog.RemoveKeyTransform, out *RemoveKeyTransform, s conversion.Scope) error {
	return autoConvert_servicecatalog_RemoveKeyTransform_To_v1beta1_RemoveKeyTransform(in, out, s)
}

func autoConvert_v1beta1_RenameKeyTransform_To_servicecatalog_RenameKeyTransform(in *RenameKeyTransform, out *servicecatalog.RenameKeyTransform, s conversion.Scope) error {
	out.From = in.From
	out.To = in.To
	return nil
}

// Convert_v1beta1_RenameKeyTransform_To_servicecatalog_RenameKeyTransform is an autogenerated conversion function.
func Convert_v1beta1_RenameKeyTransform_To_servicecatalog_RenameKeyTransform(in *RenameKeyTransform, out *servicecatalog.RenameKeyTransform, s conversion.Scope) error {
	return autoConvert_v1beta1_RenameKeyTransform_To_servicecatalog_RenameKeyTransform(in, out, s)
}

func autoConvert_servicecatalog_RenameKeyTransform_To_v1beta1_RenameKeyTransform(in *servicecatalog.RenameKeyTransform, out *RenameKeyTransform, s conversion.Scope) error {
	out.From = in.From
	out.To = in.To
	return nil
}

// Convert_servicecatalog_RenameKeyTransform_To_v1beta1_RenameKeyTransform is an autogenerated conversion function.
func Convert_servicecatalog_RenameKeyTransform_To_v1beta1_RenameKeyTransform(in *servicecatalog.RenameKeyTransform, out *RenameKeyTransform, s conversion.Scope) error {
	return autoConvert_servicecatalog_RenameKeyTransform_To_v1beta1_RenameKeyTransform(in, out, s)
}

func autoConvert_v1beta1_SecretKeyReference_To_servicecatalog_SecretKeyReference(in *SecretKeyReference, out *servicecatalog.SecretKeyReference, s conversion.Scope) error {
	out.Name = in.Name
	out.Key = in.Key
	return nil
}

// Convert_v1beta1_SecretKeyReference_To_servicecatalog_SecretKeyReference is an autogenerated conversion function.
func Convert_v1beta1_SecretKeyReference_To_servicecatalog_SecretKeyReference(in *SecretKeyReference, out *servicecatalog.SecretKeyReference, s conversion.Scope) error {
	return autoConvert_v1beta1_SecretKeyReference_To_servicecatalog_SecretKeyReference(in, out, s)
}

func autoConvert_servicecatalog_SecretKeyReference_To_v1beta1_SecretKeyReference(in *servicecatalog.SecretKeyReference, out *SecretKeyReference, s conversion.Scope) error {
	out.Name = in.Name
	out.Key = in.Key
	return nil
}

// Convert_servicecatalog_SecretKeyReference_To_v1beta1_SecretKeyReference is an autogenerated conversion function.
func Convert_servicecatalog_SecretKeyReference_To_v1beta1_SecretKeyReference(in *servicecatalog.SecretKeyReference, out *SecretKeyReference, s conversion.Scope) error {
	return autoConvert_servicecatalog_SecretKeyReference_To_v1beta1_SecretKeyReference(in, out, s)
}

func autoConvert_v1beta1_SecretTransform_To_servicecatalog_SecretTransform(in *SecretTransform, out *servicecatalog.SecretTransform, s conversion.Scope) error {
	out.RenameKey = (*servicecatalog.RenameKeyTransform)(unsafe.Pointer(in.RenameKey))
	out.AddKey = (*servicecatalog.AddKeyTransform)(unsafe.Pointer(in.AddKey))
	out.AddKeysFrom = (*servicecatalog.AddKeysFromTransform)(unsafe.Pointer(in.AddKeysFrom))
	out.RemoveKey = (*servicecatalog.RemoveKeyTransform)(unsafe.Pointer(in.RemoveKey))
	return nil
}

// Convert_v1beta1_SecretTransform_To_servicecatalog_SecretTransform is an autogenerated conversion function.
func Convert_v1beta1_SecretTransform_To_servicecatalog_SecretTransform(in *SecretTransform, out *servicecatalog.SecretTransform, s conversion.Scope) error {
	return autoConvert_v1beta1_SecretTransform_To_servicecatalog_SecretTransform(in, out, s)
}

func autoConvert_servicecatalog_SecretTransform_To_v1beta1_SecretTransform(in *servicecatalog.SecretTransform, out *SecretTransform, s conversion.Scope) error {
	out.RenameKey = (*RenameKeyTransform)(unsafe.Pointer(in.RenameKey))
	out.AddKey = (*AddKeyTransform)(unsafe.Pointer(in.AddKey))
	out.AddKeysFrom = (*AddKeysFromTransform)(unsafe.Pointer(in.AddKeysFrom))
	out.RemoveKey = (*RemoveKeyTransform)(unsafe.Pointer(in.RemoveKey))
	return nil
}

// Convert_servicecatalog_SecretTransform_To_v1beta1_SecretTransform is an autogenerated conversion function.
func Convert_servicecatalog_SecretTransform_To_v1beta1_SecretTransform(in *servicecatalog.SecretTransform, out *SecretTransform, s conversion.Scope) error {
	return autoConvert_servicecatalog_SecretTransform_To_v1beta1_SecretTransform(in, out, s)
}

func autoConvert_v1beta1_ServiceBinding_To_servicecatalog_ServiceBinding(in *ServiceBinding, out *servicecatalog.ServiceBinding, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ServiceBindingSpec_To_servicecatalog_ServiceBindingSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ServiceBindingStatus_To_servicecatalog_ServiceBindingStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServiceBinding_To_servicecatalog_ServiceBinding is an autogenerated conversion function.
func Convert_v1beta1_ServiceBinding_To_servicecatalog_ServiceBinding(in *ServiceBinding, out *servicecatalog.ServiceBinding, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBinding_To_servicecatalog_ServiceBinding(in, out, s)
}

func autoConvert_servicecatalog_ServiceBinding_To_v1beta1_ServiceBinding(in *servicecatalog.ServiceBinding, out *ServiceBinding, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ServiceBindingSpec_To_v1beta1_ServiceBindingSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ServiceBindingStatus_To_v1beta1_ServiceBindingStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServiceBinding_To_v1beta1_ServiceBinding is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBinding_To_v1beta1_ServiceBinding(in *servicecatalog.ServiceBinding, out *ServiceBinding, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBinding_To_v1beta1_ServiceBinding(in, out, s)
}

func autoConvert_v1beta1_ServiceBindingCondition_To_servicecatalog_ServiceBindingCondition(in *ServiceBindingCondition, out *servicecatalog.ServiceBindingCondition, s conversion.Scope) error {
	out.Type = servicecatalog.ServiceBindingConditionType(in.Type)
	out.Status = servicecatalog.ConditionStatus(in.Status)
	out.LastTransitionTime = in.LastTransitionTime
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_v1beta1_ServiceBindingCondition_To_servicecatalog_ServiceBindingCondition is an autogenerated conversion function.
func Convert_v1beta1_ServiceBindingCondition_To_servicecatalog_ServiceBindingCondition(in *ServiceBindingCondition, out *servicecatalog.ServiceBindingCondition, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBindingCondition_To_servicecatalog_ServiceBindingCondition(in, out, s)
}

func autoConvert_servicecatalog_ServiceBindingCondition_To_v1beta1_ServiceBindingCondition(in *servicecatalog.ServiceBindingCondition, out *ServiceBindingCondition, s conversion.Scope) error {
	out.Type = ServiceBindingConditionType(in.Type)
	out.Status = ConditionStatus(in.Status)
	out.LastTransitionTime = in.LastTransitionTime
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_servicecatalog_ServiceBindingCondition_To_v1beta1_ServiceBindingCondition is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBindingCondition_To_v1beta1_ServiceBindingCondition(in *servicecatalog.ServiceBindingCondition, out *ServiceBindingCondition, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBindingCondition_To_v1beta1_ServiceBindingCondition(in, out, s)
}

func autoConvert_v1beta1_ServiceBindingList_To_servicecatalog_ServiceBindingList(in *ServiceBindingList, out *servicecatalog.ServiceBindingList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ServiceBinding)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ServiceBindingList_To_servicecatalog_ServiceBindingList is an autogenerated conversion function.
func Convert_v1beta1_ServiceBindingList_To_servicecatalog_ServiceBindingList(in *ServiceBindingList, out *servicecatalog.ServiceBindingList, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBindingList_To_servicecatalog_ServiceBindingList(in, out, s)
}

func autoConvert_servicecatalog_ServiceBindingList_To_v1beta1_ServiceBindingList(in *servicecatalog.ServiceBindingList, out *ServiceBindingList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ServiceBinding)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ServiceBindingList_To_v1beta1_ServiceBindingList is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBindingList_To_v1beta1_ServiceBindingList(in *servicecatalog.ServiceBindingList, out *ServiceBindingList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBindingList_To_v1beta1_ServiceBindingList(in, out, s)
}

func autoConvert_v1beta1_ServiceBindingPropertiesState_To_servicecatalog_ServiceBindingPropertiesState(in *ServiceBindingPropertiesState, out *servicecatalog.ServiceBindingPropertiesState, s conversion.Scope) error {
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersChecksum = in.ParametersChecksum
	out.UserInfo = (*servicecatalog.UserInfo)(unsafe.Pointer(in.UserInfo))
	return nil
}

// Convert_v1beta1_ServiceBindingPropertiesState_To_servicecatalog_ServiceBindingPropertiesState is an autogenerated conversion function.
func Convert_v1beta1_ServiceBindingPropertiesState_To_servicecatalog_ServiceBindingPropertiesState(in *ServiceBindingPropertiesState, out *servicecatalog.ServiceBindingPropertiesState, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBindingPropertiesState_To_servicecatalog_ServiceBindingPropertiesState(in, out, s)
}

func autoConvert_servicecatalog_ServiceBindingPropertiesState_To_v1beta1_ServiceBindingPropertiesState(in *servicecatalog.ServiceBindingPropertiesState, out *ServiceBindingPropertiesState, s conversion.Scope) error {
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersChecksum = in.ParametersChecksum
	out.UserInfo = (*UserInfo)(unsafe.Pointer(in.UserInfo))
	return nil
}

// Convert_servicecatalog_ServiceBindingPropertiesState_To_v1beta1_ServiceBindingPropertiesState is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBindingPropertiesState_To_v1beta1_ServiceBindingPropertiesState(in *servicecatalog.ServiceBindingPropertiesState, out *ServiceBindingPropertiesState, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBindingPropertiesState_To_v1beta1_ServiceBindingPropertiesState(in, out, s)
}

func autoConvert_v1beta1_ServiceBindingSpec_To_servicecatalog_ServiceBindingSpec(in *ServiceBindingSpec, out *servicecatalog.ServiceBindingSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_LocalObjectReference_To_servicecatalog_LocalObjectReference(&in.ServiceInstanceRef, &out.ServiceInstanceRef, s); err != nil {
		return err
	}
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersFrom = *(*[]servicecatalog.ParametersFromSource)(unsafe.Pointer(&in.ParametersFrom))
	out.SecretName = in.SecretName
	out.SecretTransforms = *(*[]servicecatalog.SecretTransform)(unsafe.Pointer(&in.SecretTransforms))
	out.ExternalID = in.ExternalID
	out.UserInfo = (*servicecatalog.UserInfo)(unsafe.Pointer(in.UserInfo))
	return nil
}

// Convert_v1beta1_ServiceBindingSpec_To_servicecatalog_ServiceBindingSpec is an autogenerated conversion function.
func Convert_v1beta1_ServiceBindingSpec_To_servicecatalog_ServiceBindingSpec(in *ServiceBindingSpec, out *servicecatalog.ServiceBindingSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBindingSpec_To_servicecatalog_ServiceBindingSpec(in, out, s)
}

func autoConvert_servicecatalog_ServiceBindingSpec_To_v1beta1_ServiceBindingSpec(in *servicecatalog.ServiceBindingSpec, out *ServiceBindingSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_LocalObjectReference_To_v1beta1_LocalObjectReference(&in.ServiceInstanceRef, &out.ServiceInstanceRef, s); err != nil {
		return err
	}
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersFrom = *(*[]ParametersFromSource)(unsafe.Pointer(&in.ParametersFrom))
	out.SecretName = in.SecretName
	out.SecretTransforms = *(*[]SecretTransform)(unsafe.Pointer(&in.SecretTransforms))
	out.ExternalID = in.ExternalID
	out.UserInfo = (*UserInfo)(unsafe.Pointer(in.UserInfo))
	return nil
}

// Convert_servicecatalog_ServiceBindingSpec_To_v1beta1_ServiceBindingSpec is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBindingSpec_To_v1beta1_ServiceBindingSpec(in *servicecatalog.ServiceBindingSpec, out *ServiceBindingSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBindingSpec_To_v1beta1_ServiceBindingSpec(in, out, s)
}

func autoConvert_v1beta1_ServiceBindingStatus_To_servicecatalog_ServiceBindingStatus(in *ServiceBindingStatus, out *servicecatalog.ServiceBindingStatus, s conversion.Scope) error {
	out.Conditions = *(*[]servicecatalog.ServiceBindingCondition)(unsafe.Pointer(&in.Conditions))
	out.AsyncOpInProgress = in.AsyncOpInProgress
	out.LastOperation = (*string)(unsafe.Pointer(in.LastOperation))
	out.CurrentOperation = servicecatalog.ServiceBindingOperation(in.CurrentOperation)
	out.ReconciledGeneration = in.ReconciledGeneration
	out.OperationStartTime = (*v1.Time)(unsafe.Pointer(in.OperationStartTime))
	out.InProgressProperties = (*servicecatalog.ServiceBindingPropertiesState)(unsafe.Pointer(in.InProgressProperties))
	out.ExternalProperties = (*servicecatalog.ServiceBindingPropertiesState)(unsafe.Pointer(in.ExternalProperties))
	out.OrphanMitigationInProgress = in.OrphanMitigationInProgress
	out.UnbindStatus = servicecatalog.ServiceBindingUnbindStatus(in.UnbindStatus)
	return nil
}

// Convert_v1beta1_ServiceBindingStatus_To_servicecatalog_ServiceBindingStatus is an autogenerated conversion function.
func Convert_v1beta1_ServiceBindingStatus_To_servicecatalog_ServiceBindingStatus(in *ServiceBindingStatus, out *servicecatalog.ServiceBindingStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBindingStatus_To_servicecatalog_ServiceBindingStatus(in, out, s)
}

func autoConvert_servicecatalog_ServiceBindingStatus_To_v1beta1_ServiceBindingStatus(in *servicecatalog.ServiceBindingStatus, out *ServiceBindingStatus, s conversion.Scope) error {
	out.Conditions = *(*[]ServiceBindingCondition)(unsafe.Pointer(&in.Conditions))
	out.AsyncOpInProgress = in.AsyncOpInProgress
	out.LastOperation = (*string)(unsafe.Pointer(in.LastOperation))
	out.CurrentOperation = ServiceBindingOperation(in.CurrentOperation)
	out.ReconciledGeneration = in.ReconciledGeneration
	out.OperationStartTime = (*v1.Time)(unsafe.Pointer(in.OperationStartTime))
	out.InProgressProperties = (*ServiceBindingPropertiesState)(unsafe.Pointer(in.InProgressProperties))
	out.ExternalProperties = (*ServiceBindingPropertiesState)(unsafe.Pointer(in.ExternalProperties))
	out.OrphanMitigationInProgress = in.OrphanMitigationInProgress
	out.UnbindStatus = ServiceBindingUnbindStatus(in.UnbindStatus)
	return nil
}

// Convert_servicecatalog_ServiceBindingStatus_To_v1beta1_ServiceBindingStatus is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBindingStatus_To_v1beta1_ServiceBindingStatus(in *servicecatalog.ServiceBindingStatus, out *ServiceBindingStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBindingStatus_To_v1beta1_ServiceBindingStatus(in, out, s)
}

func autoConvert_v1beta1_ServiceBroker_To_servicecatalog_ServiceBroker(in *ServiceBroker, out *servicecatalog.ServiceBroker, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ServiceBrokerSpec_To_servicecatalog_ServiceBrokerSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ServiceBrokerStatus_To_servicecatalog_ServiceBrokerStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServiceBroker_To_servicecatalog_ServiceBroker is an autogenerated conversion function.
func Convert_v1beta1_ServiceBroker_To_servicecatalog_ServiceBroker(in *ServiceBroker, out *servicecatalog.ServiceBroker, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBroker_To_servicecatalog_ServiceBroker(in, out, s)
}

func autoConvert_servicecatalog_ServiceBroker_To_v1beta1_ServiceBroker(in *servicecatalog.ServiceBroker, out *ServiceBroker, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ServiceBrokerSpec_To_v1beta1_ServiceBrokerSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ServiceBrokerStatus_To_v1beta1_ServiceBrokerStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServiceBroker_To_v1beta1_ServiceBroker is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBroker_To_v1beta1_ServiceBroker(in *servicecatalog.ServiceBroker, out *ServiceBroker, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBroker_To_v1beta1_ServiceBroker(in, out, s)
}

func autoConvert_v1beta1_ServiceBrokerAuthInfo_To_servicecatalog_ServiceBrokerAuthInfo(in *ServiceBrokerAuthInfo, out *servicecatalog.ServiceBrokerAuthInfo, s conversion.Scope) error {
	out.Basic = (*servicecatalog.BasicAuthConfig)(unsafe.Pointer(in.Basic))
	out.Bearer = (*servicecatalog.BearerTokenAuthConfig)(unsafe.Pointer(in.Bearer))
	return nil
}

// Convert_v1beta1_ServiceBrokerAuthInfo_To_servicecatalog_ServiceBrokerAuthInfo is an autogenerated conversion function.
func Convert_v1beta1_ServiceBrokerAuthInfo_To_servicecatalog_ServiceBrokerAuthInfo(in *ServiceBrokerAuthInfo, out *servicecatalog.ServiceBrokerAuthInfo, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBrokerAuthInfo_To_servicecatalog_ServiceBrokerAuthInfo(in, out, s)
}

func autoConvert_servicecatalog_ServiceBrokerAuthInfo_To_v1beta1_ServiceBrokerAuthInfo(in *servicecatalog.ServiceBrokerAuthInfo, out *ServiceBrokerAuthInfo, s conversion.Scope) error {
	out.Basic = (*BasicAuthConfig)(unsafe.Pointer(in.Basic))
	out.Bearer = (*BearerTokenAuthConfig)(unsafe.Pointer(in.Bearer))
	return nil
}

// Convert_servicecatalog_ServiceBrokerAuthInfo_To_v1beta1_ServiceBrokerAuthInfo is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBrokerAuthInfo_To_v1beta1_ServiceBrokerAuthInfo(in *servicecatalog.ServiceBrokerAuthInfo, out *ServiceBrokerAuthInfo, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBrokerAuthInfo_To_v1beta1_ServiceBrokerAuthInfo(in, out, s)
}

func autoConvert_v1beta1_ServiceBrokerCondition_To_servicecatalog_ServiceBrokerCondition(in *ServiceBrokerCondition, out *servicecatalog.ServiceBrokerCondition, s conversion.Scope) error {
	out.Type = servicecatalog.ServiceBrokerConditionType(in.Type)
	out.Status = servicecatalog.ConditionStatus(in.Status)
	out.LastTransitionTime = in.LastTransitionTime
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_v1beta1_ServiceBrokerCondition_To_servicecatalog_ServiceBrokerCondition is an autogenerated conversion function.
func Convert_v1beta1_ServiceBrokerCondition_To_servicecatalog_ServiceBrokerCondition(in *ServiceBrokerCondition, out *servicecatalog.ServiceBrokerCondition, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBrokerCondition_To_servicecatalog_ServiceBrokerCondition(in, out, s)
}

func autoConvert_servicecatalog_ServiceBrokerCondition_To_v1beta1_ServiceBrokerCondition(in *servicecatalog.ServiceBrokerCondition, out *ServiceBrokerCondition, s conversion.Scope) error {
	out.Type = ServiceBrokerConditionType(in.Type)
	out.Status = ConditionStatus(in.Status)
	out.LastTransitionTime = in.LastTransitionTime
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_servicecatalog_ServiceBrokerCondition_To_v1beta1_ServiceBrokerCondition is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBrokerCondition_To_v1beta1_ServiceBrokerCondition(in *servicecatalog.ServiceBrokerCondition, out *ServiceBrokerCondition, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBrokerCondition_To_v1beta1_ServiceBrokerCondition(in, out, s)
}

func autoConvert_v1beta1_ServiceBrokerList_To_servicecatalog_ServiceBrokerList(in *ServiceBrokerList, out *servicecatalog.ServiceBrokerList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ServiceBroker)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ServiceBrokerList_To_servicecatalog_ServiceBrokerList is an autogenerated conversion function.
func Convert_v1beta1_ServiceBrokerList_To_servicecatalog_ServiceBrokerList(in *ServiceBrokerList, out *servicecatalog.ServiceBrokerList, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBrokerList_To_servicecatalog_ServiceBrokerList(in, out, s)
}

func autoConvert_servicecatalog_ServiceBrokerList_To_v1beta1_ServiceBrokerList(in *servicecatalog.ServiceBrokerList, out *ServiceBrokerList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ServiceBroker)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ServiceBrokerList_To_v1beta1_ServiceBrokerList is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBrokerList_To_v1beta1_ServiceBrokerList(in *servicecatalog.ServiceBrokerList, out *ServiceBrokerList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBrokerList_To_v1beta1_ServiceBrokerList(in, out, s)
}

func autoConvert_v1beta1_ServiceBrokerSpec_To_servicecatalog_ServiceBrokerSpec(in *ServiceBrokerSpec, out *servicecatalog.ServiceBrokerSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceBrokerSpec_To_servicecatalog_CommonServiceBrokerSpec(&in.CommonServiceBrokerSpec, &out.CommonServiceBrokerSpec, s); err != nil {
		return err
	}
	out.AuthInfo = (*servicecatalog.ServiceBrokerAuthInfo)(unsafe.Pointer(in.AuthInfo))
	return nil
}

// Convert_v1beta1_ServiceBrokerSpec_To_servicecatalog_ServiceBrokerSpec is an autogenerated conversion function.
func Convert_v1beta1_ServiceBrokerSpec_To_servicecatalog_ServiceBrokerSpec(in *ServiceBrokerSpec, out *servicecatalog.ServiceBrokerSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBrokerSpec_To_servicecatalog_ServiceBrokerSpec(in, out, s)
}

func autoConvert_servicecatalog_ServiceBrokerSpec_To_v1beta1_ServiceBrokerSpec(in *servicecatalog.ServiceBrokerSpec, out *ServiceBrokerSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceBrokerSpec_To_v1beta1_CommonServiceBrokerSpec(&in.CommonServiceBrokerSpec, &out.CommonServiceBrokerSpec, s); err != nil {
		return err
	}
	out.AuthInfo = (*ServiceBrokerAuthInfo)(unsafe.Pointer(in.AuthInfo))
	return nil
}

// Convert_servicecatalog_ServiceBrokerSpec_To_v1beta1_ServiceBrokerSpec is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBrokerSpec_To_v1beta1_ServiceBrokerSpec(in *servicecatalog.ServiceBrokerSpec, out *ServiceBrokerSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBrokerSpec_To_v1beta1_ServiceBrokerSpec(in, out, s)
}

func autoConvert_v1beta1_ServiceBrokerStatus_To_servicecatalog_ServiceBrokerStatus(in *ServiceBrokerStatus, out *servicecatalog.ServiceBrokerStatus, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceBrokerStatus_To_servicecatalog_CommonServiceBrokerStatus(&in.CommonServiceBrokerStatus, &out.CommonServiceBrokerStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServiceBrokerStatus_To_servicecatalog_ServiceBrokerStatus is an autogenerated conversion function.
func Convert_v1beta1_ServiceBrokerStatus_To_servicecatalog_ServiceBrokerStatus(in *ServiceBrokerStatus, out *servicecatalog.ServiceBrokerStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceBrokerStatus_To_servicecatalog_ServiceBrokerStatus(in, out, s)
}

func autoConvert_servicecatalog_ServiceBrokerStatus_To_v1beta1_ServiceBrokerStatus(in *servicecatalog.ServiceBrokerStatus, out *ServiceBrokerStatus, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceBrokerStatus_To_v1beta1_CommonServiceBrokerStatus(&in.CommonServiceBrokerStatus, &out.CommonServiceBrokerStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServiceBrokerStatus_To_v1beta1_ServiceBrokerStatus is an autogenerated conversion function.
func Convert_servicecatalog_ServiceBrokerStatus_To_v1beta1_ServiceBrokerStatus(in *servicecatalog.ServiceBrokerStatus, out *ServiceBrokerStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceBrokerStatus_To_v1beta1_ServiceBrokerStatus(in, out, s)
}

func autoConvert_v1beta1_ServiceClass_To_servicecatalog_ServiceClass(in *ServiceClass, out *servicecatalog.ServiceClass, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ServiceClassSpec_To_servicecatalog_ServiceClassSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ServiceClassStatus_To_servicecatalog_ServiceClassStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServiceClass_To_servicecatalog_ServiceClass is an autogenerated conversion function.
func Convert_v1beta1_ServiceClass_To_servicecatalog_ServiceClass(in *ServiceClass, out *servicecatalog.ServiceClass, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceClass_To_servicecatalog_ServiceClass(in, out, s)
}

func autoConvert_servicecatalog_ServiceClass_To_v1beta1_ServiceClass(in *servicecatalog.ServiceClass, out *ServiceClass, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ServiceClassSpec_To_v1beta1_ServiceClassSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ServiceClassStatus_To_v1beta1_ServiceClassStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServiceClass_To_v1beta1_ServiceClass is an autogenerated conversion function.
func Convert_servicecatalog_ServiceClass_To_v1beta1_ServiceClass(in *servicecatalog.ServiceClass, out *ServiceClass, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceClass_To_v1beta1_ServiceClass(in, out, s)
}

func autoConvert_v1beta1_ServiceClassList_To_servicecatalog_ServiceClassList(in *ServiceClassList, out *servicecatalog.ServiceClassList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ServiceClass)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ServiceClassList_To_servicecatalog_ServiceClassList is an autogenerated conversion function.
func Convert_v1beta1_ServiceClassList_To_servicecatalog_ServiceClassList(in *ServiceClassList, out *servicecatalog.ServiceClassList, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceClassList_To_servicecatalog_ServiceClassList(in, out, s)
}

func autoConvert_servicecatalog_ServiceClassList_To_v1beta1_ServiceClassList(in *servicecatalog.ServiceClassList, out *ServiceClassList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ServiceClass)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ServiceClassList_To_v1beta1_ServiceClassList is an autogenerated conversion function.
func Convert_servicecatalog_ServiceClassList_To_v1beta1_ServiceClassList(in *servicecatalog.ServiceClassList, out *ServiceClassList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceClassList_To_v1beta1_ServiceClassList(in, out, s)
}

func autoConvert_v1beta1_ServiceClassSpec_To_servicecatalog_ServiceClassSpec(in *ServiceClassSpec, out *servicecatalog.ServiceClassSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceClassSpec_To_servicecatalog_CommonServiceClassSpec(&in.CommonServiceClassSpec, &out.CommonServiceClassSpec, s); err != nil {
		return err
	}
	out.ServiceBrokerName = in.ServiceBrokerName
	return nil
}

// Convert_v1beta1_ServiceClassSpec_To_servicecatalog_ServiceClassSpec is an autogenerated conversion function.
func Convert_v1beta1_ServiceClassSpec_To_servicecatalog_ServiceClassSpec(in *ServiceClassSpec, out *servicecatalog.ServiceClassSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceClassSpec_To_servicecatalog_ServiceClassSpec(in, out, s)
}

func autoConvert_servicecatalog_ServiceClassSpec_To_v1beta1_ServiceClassSpec(in *servicecatalog.ServiceClassSpec, out *ServiceClassSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceClassSpec_To_v1beta1_CommonServiceClassSpec(&in.CommonServiceClassSpec, &out.CommonServiceClassSpec, s); err != nil {
		return err
	}
	out.ServiceBrokerName = in.ServiceBrokerName
	return nil
}

// Convert_servicecatalog_ServiceClassSpec_To_v1beta1_ServiceClassSpec is an autogenerated conversion function.
func Convert_servicecatalog_ServiceClassSpec_To_v1beta1_ServiceClassSpec(in *servicecatalog.ServiceClassSpec, out *ServiceClassSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceClassSpec_To_v1beta1_ServiceClassSpec(in, out, s)
}

func autoConvert_v1beta1_ServiceClassStatus_To_servicecatalog_ServiceClassStatus(in *ServiceClassStatus, out *servicecatalog.ServiceClassStatus, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServiceClassStatus_To_servicecatalog_CommonServiceClassStatus(&in.CommonServiceClassStatus, &out.CommonServiceClassStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServiceClassStatus_To_servicecatalog_ServiceClassStatus is an autogenerated conversion function.
func Convert_v1beta1_ServiceClassStatus_To_servicecatalog_ServiceClassStatus(in *ServiceClassStatus, out *servicecatalog.ServiceClassStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceClassStatus_To_servicecatalog_ServiceClassStatus(in, out, s)
}

func autoConvert_servicecatalog_ServiceClassStatus_To_v1beta1_ServiceClassStatus(in *servicecatalog.ServiceClassStatus, out *ServiceClassStatus, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServiceClassStatus_To_v1beta1_CommonServiceClassStatus(&in.CommonServiceClassStatus, &out.CommonServiceClassStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServiceClassStatus_To_v1beta1_ServiceClassStatus is an autogenerated conversion function.
func Convert_servicecatalog_ServiceClassStatus_To_v1beta1_ServiceClassStatus(in *servicecatalog.ServiceClassStatus, out *ServiceClassStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceClassStatus_To_v1beta1_ServiceClassStatus(in, out, s)
}

func autoConvert_v1beta1_ServiceInstance_To_servicecatalog_ServiceInstance(in *ServiceInstance, out *servicecatalog.ServiceInstance, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ServiceInstanceSpec_To_servicecatalog_ServiceInstanceSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ServiceInstanceStatus_To_servicecatalog_ServiceInstanceStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServiceInstance_To_servicecatalog_ServiceInstance is an autogenerated conversion function.
func Convert_v1beta1_ServiceInstance_To_servicecatalog_ServiceInstance(in *ServiceInstance, out *servicecatalog.ServiceInstance, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceInstance_To_servicecatalog_ServiceInstance(in, out, s)
}

func autoConvert_servicecatalog_ServiceInstance_To_v1beta1_ServiceInstance(in *servicecatalog.ServiceInstance, out *ServiceInstance, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ServiceInstanceSpec_To_v1beta1_ServiceInstanceSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ServiceInstanceStatus_To_v1beta1_ServiceInstanceStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServiceInstance_To_v1beta1_ServiceInstance is an autogenerated conversion function.
func Convert_servicecatalog_ServiceInstance_To_v1beta1_ServiceInstance(in *servicecatalog.ServiceInstance, out *ServiceInstance, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceInstance_To_v1beta1_ServiceInstance(in, out, s)
}

func autoConvert_v1beta1_ServiceInstanceCondition_To_servicecatalog_ServiceInstanceCondition(in *ServiceInstanceCondition, out *servicecatalog.ServiceInstanceCondition, s conversion.Scope) error {
	out.Type = servicecatalog.ServiceInstanceConditionType(in.Type)
	out.Status = servicecatalog.ConditionStatus(in.Status)
	out.LastTransitionTime = in.LastTransitionTime
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_v1beta1_ServiceInstanceCondition_To_servicecatalog_ServiceInstanceCondition is an autogenerated conversion function.
func Convert_v1beta1_ServiceInstanceCondition_To_servicecatalog_ServiceInstanceCondition(in *ServiceInstanceCondition, out *servicecatalog.ServiceInstanceCondition, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceInstanceCondition_To_servicecatalog_ServiceInstanceCondition(in, out, s)
}

func autoConvert_servicecatalog_ServiceInstanceCondition_To_v1beta1_ServiceInstanceCondition(in *servicecatalog.ServiceInstanceCondition, out *ServiceInstanceCondition, s conversion.Scope) error {
	out.Type = ServiceInstanceConditionType(in.Type)
	out.Status = ConditionStatus(in.Status)
	out.LastTransitionTime = in.LastTransitionTime
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_servicecatalog_ServiceInstanceCondition_To_v1beta1_ServiceInstanceCondition is an autogenerated conversion function.
func Convert_servicecatalog_ServiceInstanceCondition_To_v1beta1_ServiceInstanceCondition(in *servicecatalog.ServiceInstanceCondition, out *ServiceInstanceCondition, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceInstanceCondition_To_v1beta1_ServiceInstanceCondition(in, out, s)
}

func autoConvert_v1beta1_ServiceInstanceList_To_servicecatalog_ServiceInstanceList(in *ServiceInstanceList, out *servicecatalog.ServiceInstanceList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ServiceInstance)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ServiceInstanceList_To_servicecatalog_ServiceInstanceList is an autogenerated conversion function.
func Convert_v1beta1_ServiceInstanceList_To_servicecatalog_ServiceInstanceList(in *ServiceInstanceList, out *servicecatalog.ServiceInstanceList, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceInstanceList_To_servicecatalog_ServiceInstanceList(in, out, s)
}

func autoConvert_servicecatalog_ServiceInstanceList_To_v1beta1_ServiceInstanceList(in *servicecatalog.ServiceInstanceList, out *ServiceInstanceList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ServiceInstance)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ServiceInstanceList_To_v1beta1_ServiceInstanceList is an autogenerated conversion function.
func Convert_servicecatalog_ServiceInstanceList_To_v1beta1_ServiceInstanceList(in *servicecatalog.ServiceInstanceList, out *ServiceInstanceList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceInstanceList_To_v1beta1_ServiceInstanceList(in, out, s)
}

func autoConvert_v1beta1_ServiceInstancePropertiesState_To_servicecatalog_ServiceInstancePropertiesState(in *ServiceInstancePropertiesState, out *servicecatalog.ServiceInstancePropertiesState, s conversion.Scope) error {
	out.ClusterServicePlanExternalName = in.ClusterServicePlanExternalName
	out.ClusterServicePlanExternalID = in.ClusterServicePlanExternalID
	out.ServicePlanExternalName = in.ServicePlanExternalName
	out.ServicePlanExternalID = in.ServicePlanExternalID
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersChecksum = in.ParametersChecksum
	out.UserInfo = (*servicecatalog.UserInfo)(unsafe.Pointer(in.UserInfo))
	return nil
}

// Convert_v1beta1_ServiceInstancePropertiesState_To_servicecatalog_ServiceInstancePropertiesState is an autogenerated conversion function.
func Convert_v1beta1_ServiceInstancePropertiesState_To_servicecatalog_ServiceInstancePropertiesState(in *ServiceInstancePropertiesState, out *servicecatalog.ServiceInstancePropertiesState, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceInstancePropertiesState_To_servicecatalog_ServiceInstancePropertiesState(in, out, s)
}

func autoConvert_servicecatalog_ServiceInstancePropertiesState_To_v1beta1_ServiceInstancePropertiesState(in *servicecatalog.ServiceInstancePropertiesState, out *ServiceInstancePropertiesState, s conversion.Scope) error {
	out.ClusterServicePlanExternalName = in.ClusterServicePlanExternalName
	out.ClusterServicePlanExternalID = in.ClusterServicePlanExternalID
	out.ServicePlanExternalName = in.ServicePlanExternalName
	out.ServicePlanExternalID = in.ServicePlanExternalID
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersChecksum = in.ParametersChecksum
	out.UserInfo = (*UserInfo)(unsafe.Pointer(in.UserInfo))
	return nil
}

// Convert_servicecatalog_ServiceInstancePropertiesState_To_v1beta1_ServiceInstancePropertiesState is an autogenerated conversion function.
func Convert_servicecatalog_ServiceInstancePropertiesState_To_v1beta1_ServiceInstancePropertiesState(in *servicecatalog.ServiceInstancePropertiesState, out *ServiceInstancePropertiesState, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceInstancePropertiesState_To_v1beta1_ServiceInstancePropertiesState(in, out, s)
}

func autoConvert_v1beta1_ServiceInstanceSpec_To_servicecatalog_ServiceInstanceSpec(in *ServiceInstanceSpec, out *servicecatalog.ServiceInstanceSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_PlanReference_To_servicecatalog_PlanReference(&in.PlanReference, &out.PlanReference, s); err != nil {
		return err
	}
	out.ClusterServiceClassRef = (*servicecatalog.ClusterObjectReference)(unsafe.Pointer(in.ClusterServiceClassRef))
	out.ClusterServicePlanRef = (*servicecatalog.ClusterObjectReference)(unsafe.Pointer(in.ClusterServicePlanRef))
	out.ServiceClassRef = (*servicecatalog.LocalObjectReference)(unsafe.Pointer(in.ServiceClassRef))
	out.ServicePlanRef = (*servicecatalog.LocalObjectReference)(unsafe.Pointer(in.ServicePlanRef))
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersFrom = *(*[]servicecatalog.ParametersFromSource)(unsafe.Pointer(&in.ParametersFrom))
	out.ExternalID = in.ExternalID
	out.UserInfo = (*servicecatalog.UserInfo)(unsafe.Pointer(in.UserInfo))
	out.UpdateRequests = in.UpdateRequests
	return nil
}

// Convert_v1beta1_ServiceInstanceSpec_To_servicecatalog_ServiceInstanceSpec is an autogenerated conversion function.
func Convert_v1beta1_ServiceInstanceSpec_To_servicecatalog_ServiceInstanceSpec(in *ServiceInstanceSpec, out *servicecatalog.ServiceInstanceSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceInstanceSpec_To_servicecatalog_ServiceInstanceSpec(in, out, s)
}

func autoConvert_servicecatalog_ServiceInstanceSpec_To_v1beta1_ServiceInstanceSpec(in *servicecatalog.ServiceInstanceSpec, out *ServiceInstanceSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_PlanReference_To_v1beta1_PlanReference(&in.PlanReference, &out.PlanReference, s); err != nil {
		return err
	}
	out.ClusterServiceClassRef = (*ClusterObjectReference)(unsafe.Pointer(in.ClusterServiceClassRef))
	out.ClusterServicePlanRef = (*ClusterObjectReference)(unsafe.Pointer(in.ClusterServicePlanRef))
	out.ServiceClassRef = (*LocalObjectReference)(unsafe.Pointer(in.ServiceClassRef))
	out.ServicePlanRef = (*LocalObjectReference)(unsafe.Pointer(in.ServicePlanRef))
	out.Parameters = (*runtime.RawExtension)(unsafe.Pointer(in.Parameters))
	out.ParametersFrom = *(*[]ParametersFromSource)(unsafe.Pointer(&in.ParametersFrom))
	out.ExternalID = in.ExternalID
	out.UserInfo = (*UserInfo)(unsafe.Pointer(in.UserInfo))
	out.UpdateRequests = in.UpdateRequests
	return nil
}

// Convert_servicecatalog_ServiceInstanceSpec_To_v1beta1_ServiceInstanceSpec is an autogenerated conversion function.
func Convert_servicecatalog_ServiceInstanceSpec_To_v1beta1_ServiceInstanceSpec(in *servicecatalog.ServiceInstanceSpec, out *ServiceInstanceSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceInstanceSpec_To_v1beta1_ServiceInstanceSpec(in, out, s)
}

func autoConvert_v1beta1_ServiceInstanceStatus_To_servicecatalog_ServiceInstanceStatus(in *ServiceInstanceStatus, out *servicecatalog.ServiceInstanceStatus, s conversion.Scope) error {
	out.Conditions = *(*[]servicecatalog.ServiceInstanceCondition)(unsafe.Pointer(&in.Conditions))
	out.AsyncOpInProgress = in.AsyncOpInProgress
	out.OrphanMitigationInProgress = in.OrphanMitigationInProgress
	out.LastOperation = (*string)(unsafe.Pointer(in.LastOperation))
	out.DashboardURL = (*string)(unsafe.Pointer(in.DashboardURL))
	out.CurrentOperation = servicecatalog.ServiceInstanceOperation(in.CurrentOperation)
	out.ReconciledGeneration = in.ReconciledGeneration
	out.ObservedGeneration = in.ObservedGeneration
	out.OperationStartTime = (*v1.Time)(unsafe.Pointer(in.OperationStartTime))
	out.InProgressProperties = (*servicecatalog.ServiceInstancePropertiesState)(unsafe.Pointer(in.InProgressProperties))
	out.ExternalProperties = (*servicecatalog.ServiceInstancePropertiesState)(unsafe.Pointer(in.ExternalProperties))
	out.ProvisionStatus = servicecatalog.ServiceInstanceProvisionStatus(in.ProvisionStatus)
	out.DeprovisionStatus = servicecatalog.ServiceInstanceDeprovisionStatus(in.DeprovisionStatus)
	out.DefaultProvisionParameters = (*runtime.RawExtension)(unsafe.Pointer(in.DefaultProvisionParameters))
	return nil
}

// Convert_v1beta1_ServiceInstanceStatus_To_servicecatalog_ServiceInstanceStatus is an autogenerated conversion function.
func Convert_v1beta1_ServiceInstanceStatus_To_servicecatalog_ServiceInstanceStatus(in *ServiceInstanceStatus, out *servicecatalog.ServiceInstanceStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ServiceInstanceStatus_To_servicecatalog_ServiceInstanceStatus(in, out, s)
}

func autoConvert_servicecatalog_ServiceInstanceStatus_To_v1beta1_ServiceInstanceStatus(in *servicecatalog.ServiceInstanceStatus, out *ServiceInstanceStatus, s conversion.Scope) error {
	out.Conditions = *(*[]ServiceInstanceCondition)(unsafe.Pointer(&in.Conditions))
	out.AsyncOpInProgress = in.AsyncOpInProgress
	out.OrphanMitigationInProgress = in.OrphanMitigationInProgress
	out.LastOperation = (*string)(unsafe.Pointer(in.LastOperation))
	out.DashboardURL = (*string)(unsafe.Pointer(in.DashboardURL))
	out.CurrentOperation = ServiceInstanceOperation(in.CurrentOperation)
	out.ReconciledGeneration = in.ReconciledGeneration
	out.ObservedGeneration = in.ObservedGeneration
	out.OperationStartTime = (*v1.Time)(unsafe.Pointer(in.OperationStartTime))
	out.InProgressProperties = (*ServiceInstancePropertiesState)(unsafe.Pointer(in.InProgressProperties))
	out.ExternalProperties = (*ServiceInstancePropertiesState)(unsafe.Pointer(in.ExternalProperties))
	out.ProvisionStatus = ServiceInstanceProvisionStatus(in.ProvisionStatus)
	out.DeprovisionStatus = ServiceInstanceDeprovisionStatus(in.DeprovisionStatus)
	out.DefaultProvisionParameters = (*runtime.RawExtension)(unsafe.Pointer(in.DefaultProvisionParameters))
	return nil
}

// Convert_servicecatalog_ServiceInstanceStatus_To_v1beta1_ServiceInstanceStatus is an autogenerated conversion function.
func Convert_servicecatalog_ServiceInstanceStatus_To_v1beta1_ServiceInstanceStatus(in *servicecatalog.ServiceInstanceStatus, out *ServiceInstanceStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServiceInstanceStatus_To_v1beta1_ServiceInstanceStatus(in, out, s)
}

func autoConvert_v1beta1_ServicePlan_To_servicecatalog_ServicePlan(in *ServicePlan, out *servicecatalog.ServicePlan, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_ServicePlanSpec_To_servicecatalog_ServicePlanSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ServicePlanStatus_To_servicecatalog_ServicePlanStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServicePlan_To_servicecatalog_ServicePlan is an autogenerated conversion function.
func Convert_v1beta1_ServicePlan_To_servicecatalog_ServicePlan(in *ServicePlan, out *servicecatalog.ServicePlan, s conversion.Scope) error {
	return autoConvert_v1beta1_ServicePlan_To_servicecatalog_ServicePlan(in, out, s)
}

func autoConvert_servicecatalog_ServicePlan_To_v1beta1_ServicePlan(in *servicecatalog.ServicePlan, out *ServicePlan, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_servicecatalog_ServicePlanSpec_To_v1beta1_ServicePlanSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_servicecatalog_ServicePlanStatus_To_v1beta1_ServicePlanStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServicePlan_To_v1beta1_ServicePlan is an autogenerated conversion function.
func Convert_servicecatalog_ServicePlan_To_v1beta1_ServicePlan(in *servicecatalog.ServicePlan, out *ServicePlan, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServicePlan_To_v1beta1_ServicePlan(in, out, s)
}

func autoConvert_v1beta1_ServicePlanList_To_servicecatalog_ServicePlanList(in *ServicePlanList, out *servicecatalog.ServicePlanList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]servicecatalog.ServicePlan)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_ServicePlanList_To_servicecatalog_ServicePlanList is an autogenerated conversion function.
func Convert_v1beta1_ServicePlanList_To_servicecatalog_ServicePlanList(in *ServicePlanList, out *servicecatalog.ServicePlanList, s conversion.Scope) error {
	return autoConvert_v1beta1_ServicePlanList_To_servicecatalog_ServicePlanList(in, out, s)
}

func autoConvert_servicecatalog_ServicePlanList_To_v1beta1_ServicePlanList(in *servicecatalog.ServicePlanList, out *ServicePlanList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ServicePlan)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_servicecatalog_ServicePlanList_To_v1beta1_ServicePlanList is an autogenerated conversion function.
func Convert_servicecatalog_ServicePlanList_To_v1beta1_ServicePlanList(in *servicecatalog.ServicePlanList, out *ServicePlanList, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServicePlanList_To_v1beta1_ServicePlanList(in, out, s)
}

func autoConvert_v1beta1_ServicePlanSpec_To_servicecatalog_ServicePlanSpec(in *ServicePlanSpec, out *servicecatalog.ServicePlanSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServicePlanSpec_To_servicecatalog_CommonServicePlanSpec(&in.CommonServicePlanSpec, &out.CommonServicePlanSpec, s); err != nil {
		return err
	}
	out.ServiceBrokerName = in.ServiceBrokerName
	if err := Convert_v1beta1_LocalObjectReference_To_servicecatalog_LocalObjectReference(&in.ServiceClassRef, &out.ServiceClassRef, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServicePlanSpec_To_servicecatalog_ServicePlanSpec is an autogenerated conversion function.
func Convert_v1beta1_ServicePlanSpec_To_servicecatalog_ServicePlanSpec(in *ServicePlanSpec, out *servicecatalog.ServicePlanSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ServicePlanSpec_To_servicecatalog_ServicePlanSpec(in, out, s)
}

func autoConvert_servicecatalog_ServicePlanSpec_To_v1beta1_ServicePlanSpec(in *servicecatalog.ServicePlanSpec, out *ServicePlanSpec, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServicePlanSpec_To_v1beta1_CommonServicePlanSpec(&in.CommonServicePlanSpec, &out.CommonServicePlanSpec, s); err != nil {
		return err
	}
	out.ServiceBrokerName = in.ServiceBrokerName
	if err := Convert_servicecatalog_LocalObjectReference_To_v1beta1_LocalObjectReference(&in.ServiceClassRef, &out.ServiceClassRef, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServicePlanSpec_To_v1beta1_ServicePlanSpec is an autogenerated conversion function.
func Convert_servicecatalog_ServicePlanSpec_To_v1beta1_ServicePlanSpec(in *servicecatalog.ServicePlanSpec, out *ServicePlanSpec, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServicePlanSpec_To_v1beta1_ServicePlanSpec(in, out, s)
}

func autoConvert_v1beta1_ServicePlanStatus_To_servicecatalog_ServicePlanStatus(in *ServicePlanStatus, out *servicecatalog.ServicePlanStatus, s conversion.Scope) error {
	if err := Convert_v1beta1_CommonServicePlanStatus_To_servicecatalog_CommonServicePlanStatus(&in.CommonServicePlanStatus, &out.CommonServicePlanStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ServicePlanStatus_To_servicecatalog_ServicePlanStatus is an autogenerated conversion function.
func Convert_v1beta1_ServicePlanStatus_To_servicecatalog_ServicePlanStatus(in *ServicePlanStatus, out *servicecatalog.ServicePlanStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_ServicePlanStatus_To_servicecatalog_ServicePlanStatus(in, out, s)
}

func autoConvert_servicecatalog_ServicePlanStatus_To_v1beta1_ServicePlanStatus(in *servicecatalog.ServicePlanStatus, out *ServicePlanStatus, s conversion.Scope) error {
	if err := Convert_servicecatalog_CommonServicePlanStatus_To_v1beta1_CommonServicePlanStatus(&in.CommonServicePlanStatus, &out.CommonServicePlanStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_servicecatalog_ServicePlanStatus_To_v1beta1_ServicePlanStatus is an autogenerated conversion function.
func Convert_servicecatalog_ServicePlanStatus_To_v1beta1_ServicePlanStatus(in *servicecatalog.ServicePlanStatus, out *ServicePlanStatus, s conversion.Scope) error {
	return autoConvert_servicecatalog_ServicePlanStatus_To_v1beta1_ServicePlanStatus(in, out, s)
}

func autoConvert_v1beta1_UserInfo_To_servicecatalog_UserInfo(in *UserInfo, out *servicecatalog.UserInfo, s conversion.Scope) error {
	out.Username = in.Username
	out.UID = in.UID
	out.Groups = *(*[]string)(unsafe.Pointer(&in.Groups))
	out.Extra = *(*map[string]servicecatalog.ExtraValue)(unsafe.Pointer(&in.Extra))
	return nil
}

// Convert_v1beta1_UserInfo_To_servicecatalog_UserInfo is an autogenerated conversion function.
func Convert_v1beta1_UserInfo_To_servicecatalog_UserInfo(in *UserInfo, out *servicecatalog.UserInfo, s conversion.Scope) error {
	return autoConvert_v1beta1_UserInfo_To_servicecatalog_UserInfo(in, out, s)
}

func autoConvert_servicecatalog_UserInfo_To_v1beta1_UserInfo(in *servicecatalog.UserInfo, out *UserInfo, s conversion.Scope) error {
	out.Username = in.Username
	out.UID = in.UID
	out.Groups = *(*[]string)(unsafe.Pointer(&in.Groups))
	out.Extra = *(*map[string]ExtraValue)(unsafe.Pointer(&in.Extra))
	return nil
}

// Convert_servicecatalog_UserInfo_To_v1beta1_UserInfo is an autogenerated conversion function.
func Convert_servicecatalog_UserInfo_To_v1beta1_UserInfo(in *servicecatalog.UserInfo, out *UserInfo, s conversion.Scope) error {
	return autoConvert_servicecatalog_UserInfo_To_v1beta1_UserInfo(in, out, s)
}
